GNU bug report logs - #12229
[GNU Libtool 2.4] testsuite: 37 failed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: ziebell_marco@HIDDEN; dated Sat, 18 Aug 2012 17:59:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Aug 2012 17:58:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 18 13:58:12 2012
Received: from localhost ([127.0.0.1]:37752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2nHc-0003EG-U2
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 13:58:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44796)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <ziebell_marco@HIDDEN>) id 1T2eq0-000798-SR
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 04:57:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ziebell_marco@HIDDEN>) id 1T2epm-0006Sv-0N
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 04:56:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:57532)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ziebell_marco@HIDDEN>) id 1T2epl-0006SU-Qk
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 04:56:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38310)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ziebell_marco@HIDDEN>) id 1T2epY-0003ba-BS
	for bug-libtool@HIDDEN; Sat, 18 Aug 2012 04:56:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ziebell_marco@HIDDEN>) id 1T2epJ-0006R3-Cv
	for bug-libtool@HIDDEN; Sat, 18 Aug 2012 04:56:28 -0400
Received: from karen.lavabit.com ([72.249.41.33]:43191)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ziebell_marco@HIDDEN>) id 1T2epI-0006Qs-ON
	for bug-libtool@HIDDEN; Sat, 18 Aug 2012 04:56:13 -0400
Received: from a.earth.lavabit.com (a.earth.lavabit.com [192.168.111.10])
	by karen.lavabit.com (Postfix) with ESMTP id 13BEE11BDCB
	for <bug-libtool@HIDDEN>; Sat, 18 Aug 2012 03:56:11 -0500 (CDT)
Received: from lavabit.com (p5DC8F279.dip.t-dialin.net [93.200.242.121])
	by lavabit.com with ESMTP id BI3S7I7ZXHA2
	for <bug-libtool@HIDDEN>; Sat, 18 Aug 2012 03:56:11 -0500
Received: from 93.200.242.121 (SquirrelMail authenticated user ziebell_marco)
	by lavabit.com with HTTP; Sat, 18 Aug 2012 10:56:08 +0200 (CEST)
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=lavabit; d=lavabit.com;
	b=qHDGxJAarEUCVdjYhwRWUC5PVdGQLQZZ967o6xKCS1i7uJN86IeE5LDoTr0lgKFTu8c9tT1agjMy06LEHs7671WVFDakthR81xP9eiWhIBl2kgcZ3zQjKRCeKfA6MgE/Wbh4tXhKAWomVn34wT0E9uh6ITN5fdAT/LN/3jvyLFw=;
	h=Message-ID:Date:Subject:From:To:User-Agent:MIME-Version:Content-Type; 
Message-ID: <59172.93.200.242.121.1345280168.squirrel@HIDDEN>
Date: Sat, 18 Aug 2012 10:56:08 +0200 (CEST)
Subject: [GNU Libtool 2.4] testsuite: 37 failed
From: ziebell_marco@HIDDEN
To: bug-libtool@HIDDEN
User-Agent: SquirrelMail/1.4.13
MIME-Version: 1.0
Content-Type: multipart/mixed;boundary="----=_20120818105608_78398"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 18 Aug 2012 13:57:59 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org

------=_20120818105608_78398
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

I emerge sys-devel/libtool-2.4-r1 in my gentoo test system and this
failure occurred. It ordered my to send this mail.
------=_20120818105608_78398
Content-Type: text/x-log; name="testsuite.log"
Content-Disposition: attachment; filename="testsuite.log"
Content-Transfer-Encoding: quoted-printable

## --------------------------- ##
## GNU Libtool 2.4 test suite. ##
## --------------------------- ##

testsuite: command line was:
  $ /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/test=
suite MAKE=3Dmake CC=3Dx86_64-pc-linux-gnu-gcc CFLAGS=3D-O2 -pipe CPP=3Dx=
86_64-pc-linux-gnu-gcc -E CPPFLAGS=3D LD=3D/usr/x86_64-pc-linux-gnu/bin/l=
d -m elf_x86_64 LDFLAGS=3D-Wl,-O1 -Wl,--as-needed LIBS=3D-ldl  LN_S=3Dln =
-s NM=3D/usr/bin/nm -B RANLIB=3Dx86_64-pc-linux-gnu-ranlib AR=3Dx86_64-pc=
-linux-gnu-ar M4SH=3Dautom4te --language=3Dm4sh SED=3D/bin/sed STRIP=3Dx8=
6_64-pc-linux-gnu-strip lt_INSTALL=3D/usr/bin/install -c MANIFEST_TOOL=3D=
: OBJEXT=3Do EXEEXT=3D SHELL=3D/bin/bash CONFIG_SHELL=3D/bin/bash CXX=3Dx=
86_64-pc-linux-gnu-g++ CXXFLAGS=3D-O2 -pipe CXXCPP=3Dx86_64-pc-linux-gnu-=
g++ -E F77=3Dx86_64-pc-linux-gnu-gfortran FFLAGS=3D-O2 -pipe FC=3Dx86_64-=
pc-linux-gnu-gfortran FCFLAGS=3D-O2 -pipe GCJ=3Dx86_64-pc-linux-gnu-gcj G=
CJFLAGS=3D-g -O2 lt_cv_to_host_file_cmd=3Dfunc_convert_file_noop lt_cv_to=
_tool_file_cmd=3Dfunc_convert_file_noop _lt_pkgdatadir=3D/var/tmp/portage=
/sys-devel/libtool-2.4-r1/work/libtool-2.4 LIBTOOLIZE=3D/var/tmp/portage/=
sys-devel/libtool-2.4-r1/work/libtool-2.4/libt
oolize LIBTOOL=3D/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2=
.4/libtool tst_aclocaldir=3D/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4/libltdl/m4

## ---------- ##
## ChangeLog. ##
## ---------- ##

| 2010-09-22  Gary V. Vaughan  <gary@HIDDEN>
|=20
| 	Release 2.4.
| 	* libltdl/Makefile.inc (LTDL_VERSION_INFO): We've added the
| 	static libprefix interface, so new version-info is C+1:0:R+1.
| 	* configure.ac, libltdl/configure.ac (AC_INIT): Bump version
| 	numbers.
| 	* NEWS: Update version number.
|=20
| 	manual: web-manual index.html clashes with @node Index.

## --------- ##
## Platform. ##
## --------- ##

hostname =3D MG
uname -m =3D x86_64
uname -r =3D 3.3.8-gentoo
uname -s =3D Linux
uname -v =3D #6 SMP Fri Aug 17 14:09:16 Local time zone must be set--see =
zic=20

/usr/bin/uname -p =3D AMD Athlon(tm) II Dual-Core M320
/bin/uname -X     =3D unknown

/bin/arch              =3D unknown
/usr/bin/arch -k       =3D unknown
/usr/convex/getsysinfo =3D unknown
/usr/bin/hostinfo      =3D unknown
/bin/machine           =3D unknown
/usr/bin/oslevel       =3D unknown
/bin/universe          =3D unknown

PATH: /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests
PATH: /usr/lib64/portage/bin/ebuild-helpers
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /opt/bin
PATH: /usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3

testsuite: atconfig:
| # Configurable variable values for building test suites.
| # Generated by ./config.status.
| # Copyright (C) 2010 Free Software Foundation, Inc.
|=20
| # The test suite will define top_srcdir=3D/../.. etc.
| at_testdir=3D'tests'
| abs_builddir=3D'/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-=
2.4/tests'
| at_srcdir=3D'.'
| abs_srcdir=3D'/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.=
4/tests'
| at_top_srcdir=3D'..'
| abs_top_srcdir=3D'/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtoo=
l-2.4'
| at_top_build_prefix=3D'../'
| abs_top_builddir=3D'/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libt=
ool-2.4'
|=20
| # Backward compatibility with Autotest <=3D 2.59b:
| at_top_builddir=3D$at_top_build_prefix
|=20
| AUTOTEST_PATH=3D'tests'
|=20
| SHELL=3D${CONFIG_SHELL-'/bin/bash'}

## ---------------- ##
## Tested programs. ##
## ---------------- ##

## ------------------ ##
## Running the tests. ##
## ------------------ ##
testsuite: starting at: Sat Aug 18 08:55:51 Local time zone must be set--=
see zic manual page 2012
1. short option splitting (getopt-m4sh.at:85): ok     (0m0.303s 0m0.153s)
2. enhanced shell short option splitting (getopt-m4sh.at:98): ok     (0m0=
.303s 0m0.157s)
3. long option splitting (getopt-m4sh.at:119): ok     (0m0.277s 0m0.157s)
4. XSI long option splitting (getopt-m4sh.at:132): ok     (0m0.307s 0m0.2=
00s)
5. option appending (getopt-m4sh.at:153): ok     (0m0.267s 0m0.160s)
6. enhanced shell option appending (getopt-m4sh.at:169): ok     (0m0.310s=
 0m0.220s)
7. libtoolize macro installation (libtoolize.at:83): ok     (0m0.133s 0m0=
.367s)
8. libtoolize macro directory mismatch error (libtoolize.at:108): ok     =
(0m0.040s 0m0.073s)
9. libtoolize macro serial update (libtoolize.at:128): ok     (0m0.577s 0=
m1.850s)
10. libtoolize config files serial update (libtoolize.at:201): ok     (0m=
0.777s 0m3.006s)
11. diagnose missing LT_CONFIG_LTDL_DIR (libtoolize.at:281): ok     (0m0.=
330s 0m1.517s)
12. copy ltdl.m4 with shared macro directory (libtoolize.at:426): ok     =
(0m0.287s 0m0.980s)
13. correctly parse LTDL_INIT from configure.ac (libtoolize.at:438): ok  =
   (0m0.237s 0m0.987s)
14. diagnose missing LTDL_INIT invocation (libtoolize.at:450): ok     (0m=
0.323s 0m1.303s)
15. upgrading verbatim style aclocal.m4 (libtoolize.at:527): ok     (0m5.=
320s 0m2.190s)
16. verbatim aclocal.m4 w/o AC_CONFIG_MACRO_DIR (libtoolize.at:651): ok  =
   (0m5.576s 0m1.263s)
17. nonrecursive ltdl with AC_CONFIG_MACRO_DIR (libtoolize.at:783): ok   =
  (0m0.397s 0m1.503s)
18. subproject ltdl with non-shared directories (libtoolize.at:854): ok  =
   (0m0.520s 0m1.860s)
19. LIBTOOLIZE_OPTIONS (libtoolize.at:945): ok     (0m0.273s 0m0.967s)
20. cleanup old installation (libtoolize.at:992): ok     (0m0.470s 0m1.86=
0s)
21. standard command line options (help.at:26): ok     (0m0.887s 0m0.387s=
)
22. mode short-hands (help.at:45): ok     (0m0.863s 0m0.773s)
23. debug tracing (help.at:97): ok     (0m2.743s 0m2.673s)
24. duplicate members in archive tests (duplicate_members.at:25): ok     =
(0m0.973s 0m1.200s)
25. duplicate convenience archive names (duplicate_conv.at:25): ok     (0=
m1.543s 0m1.520s)
27. passing CC flags through libtool (flags.at:24): ok     (0m1.087s 0m0.=
857s)
28. passing CXX flags through libtool (flags.at:24): ok     (0m1.327s 0m0=
.877s)
29. passing F77 flags through libtool (flags.at:24): ok     (0m1.220s 0m0=
.870s)
30. passing FC flags through libtool (flags.at:24): ok     (0m1.367s 0m1.=
023s)
31. passing GCJ flags through libtool (flags.at:24): ok     (0m3.273s 0m1=
.097s)
32. inherited_linker_flags (inherited_flags.at:26): ok     (0m1.247s 0m1.=
350s)
33. C convenience archives (convenience.at:31): ok     (0m1.577s 0m1.680s=
)
34. C++ convenience archives (convenience.at:70): ok     (0m2.013s 0m1.82=
7s)
35. F77 convenience archives (convenience.at:110): ok     (0m1.833s 0m1.7=
80s)
36. FC convenience archives (convenience.at:170): ok     (0m2.090s 0m1.77=
7s)
38. Link order test (link-order.at:26): ok     (0m2.413s 0m2.067s)
39. Link order of deplibs (link-order2.at:46): ok     (0m4.283s 0m3.453s)
40. Failure tests (fail.at:27): ok     (0m0.760s 0m0.663s)
41. shlibpath_overrides_runpath (shlibpath.at:25): ok     (0m0.953s 0m0.8=
70s)
42. Runpath in libtool library files (runpath-in-lalib.at:25): ok     (0m=
0.880s 0m0.867s)
43. static linking flags for programs (static.at:68): ok     (0m7.156s 0m=
13.942s)
44. ccache -all-static (static.at:358): ok     (0m0.160s 0m0.153s)
45. Export test (export.at:25): ok     (0m2.490s 0m2.673s)
46. sys_lib_search_path (search-path.at:25): ok     (0m0.240s 0m0.137s)
47. indirect convenience (indirect_deps.at:25): ok     (0m1.317s 0m1.267s=
)
48. indirect uninstalled (indirect_deps.at:71): ok     (0m1.590s 0m1.590s=
)
50. both of -o prog and -o prog$EXEEXT work (exeext.at:26): skipped (exee=
xt.at:29)
51. execute mode (execute-mode.at:25): ok     (0m4.726s 0m3.246s)
52. bindir compile check (bindir.at:64): ok     (0m0.033s 0m0.053s)
53. bindir basic lib test (bindir.at:81): ok     (0m0.817s 0m0.777s)
54. bindir install tests (bindir.at:190): ok     (0m36.721s 0m35.078s)
55. cwrapper for uninstalled executables (cwrapper.at:25): ok     (0m2.21=
0s 0m2.247s)
56. deplib in subdir (deplib-in-subdir.at:34): ok     (0m3.043s 0m3.300s)
57. inferred tag (infer-tag.at:30): ok     (0m0.050s 0m0.067s)
58. CXX inferred tag (infer-tag.at:42): ok     (0m0.060s 0m0.097s)
59. F77 inferred tag (infer-tag.at:55): ok     (0m0.083s 0m0.103s)
60. FC inferred tag (infer-tag.at:69): ok     (0m0.067s 0m0.113s)
61. GCJ inferred tag (infer-tag.at:83): ok     (0m2.103s 0m0.337s)
62. localized compiler messages (localization.at:24): ok     (0m0.130s 0m=
0.230s)
63. nocase library search (nocase.at:26): skipped (nocase.at:31)
64. Install tests (install.at:25): ok     (0m0.400s 0m0.390s)
65. versioning (versioning.at:24): ok     (0m3.976s 0m3.736s)
66. Simple DESTDIR install (destdir.at:48): ok     (0m0.567s 0m0.643s)
67. DESTDIR with in-package deplibs (destdir.at:75): ok     (0m2.153s 0m2=
.320s)
68. AM_PROG_LIBTOOL (old-m4-iface.at:40): ok     (0m3.110s 0m4.233s)
69. AC_WITH_LTDL (old-m4-iface.at:112): ok     (0m16.336s 0m14.239s)
70. C subdir-objects (am-subdir.at:33): ok     (0m9.249s 0m5.400s)
71. C++ subdir-objects (am-subdir.at:93): ok     (0m10.239s 0m6.316s)
72. lt_dlexit unloading libs (lt_dlexit.at:30): ok     (0m0.660s 0m0.553s=
)
73. lt_dlopenadvise library loading (lt_dladvise.at:28): ok     (0m1.213s=
 0m1.203s)
75. lt_dlopen archive (lt_dlopen_a.at:23): ok     (0m0.483s 0m0.500s)
76. lt_dlopenext error messages (lt_dlopenext.at:23): ok     (0m0.673s 0m=
0.887s)
77. libdir of installed modules (ltdl-libdir.at:23): ok     (0m0.460s 0m0=
.403s)
78. ltdl API (ltdl-api.at:25): skipped (ltdl-api.at:31)
79. dlloader API (dlloader-api.at:23): ok     (0m0.427s 0m0.400s)
80. loadlibrary error messages (loadlibrary.at:23): skipped (loadlibrary.=
at:250)
82. resident modules (resident.at:27): ok     (0m0.410s 0m0.403s)
83. SList functionality (slist.at:24): ok     (0m0.220s 0m0.103s)
84. enforced lib prefix (need_lib_prefix.at:25): ok     (0m0.893s 0m0.750=
s)
85. compiling softlinked libltdl (standalone.at:31): ok     (0m7.066s 0m8=
.199s)
86. compiling copied libltdl (standalone.at:46): ok     (0m7.073s 0m8.319=
s)
87. installable libltdl (standalone.at:61): ok     (0m7.196s 0m9.223s)
88. linking libltdl without autotools (standalone.at:79): ok     (0m7.150=
s 0m8.623s)
89. compiling softlinked libltdl (subproject.at:57): ok     (0m17.536s 0m=
15.066s)
90. compiling copied libltdl (subproject.at:73): ok     (0m17.469s 0m15.0=
89s)
91. installable libltdl (subproject.at:89): ok     (0m17.379s 0m16.126s)
92. linking libltdl without autotools (subproject.at:109): ok     (0m7.08=
6s 0m8.849s)
93. compiling softlinked libltdl (nonrecursive.at:78): ok     (0m14.139s =
0m9.366s)
94. compiling copied libltdl (nonrecursive.at:102): ok     (0m14.252s 0m9=
.796s)
95. installable libltdl (nonrecursive.at:126): ok     (0m14.352s 0m9.923s=
)
96. compiling softlinked libltdl (recursive.at:60): ok     (0m21.225s 0m1=
1.373s)
97. compiling copied libltdl (recursive.at:80): ok     (0m21.095s 0m12.17=
6s)
98. installable libltdl (recursive.at:100): ok     (0m21.569s 0m12.043s)
99. simple template test (template.at:27): ok     (0m0.697s 0m0.617s)
100. template test with subdirs (template.at:126): ok     (0m2.680s 0m2.2=
43s)
101. C++ static constructors (ctor.at:27): ok     (0m0.497s 0m0.443s)
102. C++ exception handling (exceptions.at:24): ok     (0m3.070s 0m1.493s=
)
103. config.status (early-libtool.at:32): ok     (0m7.893s 0m4.150s)
104. config.lt (early-libtool.at:126): ok     (0m10.623s 0m8.699s)
105. AC_NO_EXECUTABLES (no-executables.at:25): ok     (0m17.246s 0m11.263=
s)
107. installable libltdl (configure-iface.at:102): ok     (0m17.992s 0m15=
.889s)
108. --with-ltdl-include/lib (configure-iface.at:162): ok     (0m21.759s =
0m23.015s)
109. --with-included-ltdl (configure-iface.at:243): ok     (0m17.932s 0m1=
4.822s)
110. convenience libltdl (configure-iface.at:304): ok     (0m8.009s 0m4.8=
16s)
111. Link option thorough search test (stresstest.at:31): ok     (0m47.42=
7s 0m47.200s)
113. override pic_flag at configure time (pic_flag.at:24): skipped (pic_f=
lag.at:47)
114. darwin fat compile (darwin.at:26): skipped (darwin.at:42)
115. darwin concurrent library extraction (darwin.at:103): ok     (0m1.80=
7s 0m1.547s)
116. darwin gdb debug information (darwin.at:152): skipped (darwin.at:154=
)
117. deplibs without file command (deplibs-mingw.at:27): ok     (0m0.517s=
 0m0.530s)
118. -L=3D.../lib -l (sysroot.at:203): skipped (sysroot.at:203)
119. -L SYSROOT/.../lib -l (sysroot.at:204): skipped (sysroot.at:204)
120. SYSROOT/.../*.la (sysroot.at:205): skipped (sysroot.at:205)
testsuite: ending at: Sat Aug 18 09:22:32 Local time zone must be set--se=
e zic manual page 2012
testsuite: test suite duration: 0h 26m 41s

## ------------- ##
## Test results. ##
## ------------- ##

ERROR: 110 tests were run,
7 failed (5 expected failures).
10 tests were skipped.

## ------------------------ ##
## Summary of the failures. ##
## ------------------------ ##
Failed tests:
GNU Libtool 2.4 test suite test groups:

 NUM: FILE-NAME:LINE     TEST-GROUP-NAME
      KEYWORDS

  37: convenience.at:230 Java convenience archives
      gcj libtool
 112: cmdline_wrap.at:28 Run tests with low max_cmd_len
      recursive

Skipped tests:
GNU Libtool 2.4 test suite test groups:

 NUM: FILE-NAME:LINE     TEST-GROUP-NAME
      KEYWORDS

  50: exeext.at:26       both of -o prog and -o prog$EXEEXT work
      libtool
  63: nocase.at:26       nocase library search
      libtool
  78: ltdl-api.at:25     ltdl API
      libltdl
  80: loadlibrary.at:23  loadlibrary error messages
      libltdl
 113: pic_flag.at:24     override pic_flag at configure time
 114: darwin.at:26       darwin fat compile
 116: darwin.at:152      darwin gdb debug information
 118: sysroot.at:203     -L=3D.../lib -l
      libtool sysroot libtoolize automake automake autoconf autoconf
 119: sysroot.at:204     -L SYSROOT/.../lib -l
      libtool sysroot libtoolize automake automake autoconf autoconf
 120: sysroot.at:205     SYSROOT/.../*.la
      libtool sysroot libtoolize automake automake autoconf autoconf

## ---------------------- ##
## Detailed failed tests. ##
## ---------------------- ##

#                             -*- compilation -*-
37. convenience.at:230: testing Java convenience archives ...
/convenience.at:231: { test -n "$GCJ" && test "X$GCJ" !=3D Xno; } || (exi=
t 77)
/convenience.at:231: $GCJ $GCJFLAGS -c gcj_test.java || exit 77
stderr:
stdout:
/convenience.at:231: $GCJ $GCJFLAGS --main=3Dgcj_test -o gcj_test$EXEEXT =
gcj_test.java 	    || exit 77
stderr:
stdout:
/convenience.at:231: ./gcj_test$EXEEXT || exit 77
stderr:
stdout:
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo1.java  -fPIC -o =
.libs/foo1.o
foo1.java:3: warning: The local variable a1 is never read
	A1 a1 =3D new A1();
	   ^^
/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsuit=
e.dir/037/A1.java:2: warning: The field A1.a is never read locally
	private int a;
	            ^
2 problems (2 warnings)
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo1.java -o foo1.o =
>/dev/null 2>&1
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A1.java  -fPIC -o .l=
ibs/A1.o
A1.java:2: warning: The field A1.a is never read locally
	private int a;
	            ^
1 problem (1 warning)
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A1.java -o A1.o >/de=
v/null 2>&1
libtool: link: x86_64-pc-linux-gnu-ar cru .libs/liba1.a .libs/A1.o=20
libtool: link: x86_64-pc-linux-gnu-ranlib .libs/liba1.a
libtool: link: ( cd ".libs" && rm -f "liba1.la" && ln -s "../liba1.la" "l=
iba1.la" )
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo2.java  -fPIC -o =
.libs/foo2.o
foo2.java:3: warning: The local variable a1 is never read
	A1 a1 =3D new A1(); A2 a2 =3D new A2();
	   ^^
foo2.java:3: warning: The local variable a2 is never read
	A1 a1 =3D new A1(); A2 a2 =3D new A2();
	                     ^^
/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsuit=
e.dir/037/A1.java:2: warning: The field A1.a is never read locally
	private int a;
	            ^
/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsuit=
e.dir/037/A2.java:2: warning: The field A2.a is never read locally
	private int a;
	            ^
4 problems (4 warnings)
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo2.java -o foo2.o =
>/dev/null 2>&1
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A2.java  -fPIC -o .l=
ibs/A2.o
A2.java:2: warning: The field A2.a is never read locally
	private int a;
	            ^
1 problem (1 warning)
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A2.java -o A2.o >/de=
v/null 2>&1
libtool: link: x86_64-pc-linux-gnu-ar cru .libs/liba2.a .libs/A2.o=20
libtool: link: x86_64-pc-linux-gnu-ranlib .libs/liba2.a
libtool: link: ( cd ".libs" && rm -f "liba2.la" && ln -s "../liba2.la" "l=
iba2.la" )
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo3.java  -fPIC -o =
.libs/foo3.o
foo3.java:3: warning: The local variable a1 is never read
	A1 a1 =3D new A1(); A2 a2 =3D new A2(); A3 a3 =3D new A3();
	   ^^
foo3.java:3: warning: The local variable a2 is never read
	A1 a1 =3D new A1(); A2 a2 =3D new A2(); A3 a3 =3D new A3();
	                     ^^
foo3.java:3: warning: The local variable a3 is never read
	A1 a1 =3D new A1(); A2 a2 =3D new A2(); A3 a3 =3D new A3();
	                                       ^^
/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsuit=
e.dir/037/A1.java:2: warning: The field A1.a is never read locally
	private int a;
	            ^
/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsuit=
e.dir/037/A2.java:2: warning: The field A2.a is never read locally
	private int a;
	            ^
/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsuit=
e.dir/037/A3.java:2: warning: The field A3.a is never read locally
	private int a;
	            ^
6 problems (6 warnings)
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo3.java -o foo3.o =
>/dev/null 2>&1
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A3.java  -fPIC -o .l=
ibs/A3.o
A3.java:2: warning: The field A3.a is never read locally
	private int a;
	            ^
1 problem (1 warning)
libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A3.java -o A3.o >/de=
v/null 2>&1
libtool: link: x86_64-pc-linux-gnu-ar cru .libs/liba3.a .libs/A3.o=20
libtool: link: x86_64-pc-linux-gnu-ranlib .libs/liba3.a
libtool: link: ( cd ".libs" && rm -f "liba3.la" && ln -s "../liba3.la" "l=
iba3.la" )
/convenience.at:267: $LIBTOOL --tag=3DGCJ --mode=3Dlink $GCJ $GCJFLAGS $L=
DFLAGS -o liba12.la liba1.la liba2.la -rpath /notexist
stderr:
/.libs/liba2.a(A2.o):(.rodata+0x0): multiple definition of `java resource=
 .dummy'
/.libs/liba1.a(A1.o):(.rodata+0x0): first defined here
collect2: ld returned 1 exit status
stdout:
libtool: link: x86_64-pc-linux-gnu-gcj -shared  -fPIC  -Wl,--whole-archiv=
e ./.libs/liba1.a ./.libs/liba2.a -Wl,--no-whole-archive   -O2 -Wl,-O1 -W=
l,--as-needed   -Wl,-soname -Wl,liba12.so.0 -o .libs/liba12.so.0.0.0
/convenience.at:267: exit code was 1, expected 0
37. convenience.at:230: 37. Java convenience archives (convenience.at:230=
): FAILED (convenience.at:267)

#                             -*- compilation -*-
112. cmdline_wrap.at:28: testing Run tests with low max_cmd_len ...
/cmdline_wrap.at:43: $CONFIG_SHELL $abs_srcdir/testsuite -k libtool$INNER=
_TESTSUITEFLAGS
stderr:
ERROR: 48 tests were run,
5 failed (4 expected failures).
5 tests were skipped.
stdout:
## --------------------------- ##
## GNU Libtool 2.4 test suite. ##
## --------------------------- ##

Testing libtool functions.

 21: standard command line options                   ok
 24: duplicate members in archive tests              ok
 25: duplicate convenience archive names             ok
 26: preserve duplicate convenience deps             expected failure (du=
plicate_deps.at:72)
 27: passing CC flags through libtool                ok
 28: passing CXX flags through libtool               ok
 29: passing F77 flags through libtool               ok
 30: passing FC flags through libtool                ok
 31: passing GCJ flags through libtool               ok
 32: inherited_linker_flags                          ok
 33: C convenience archives                          ok
 34: C++ convenience archives                        ok
 35: F77 convenience archives                        ok
 36: FC convenience archives                         ok
 37: Java convenience archives                       FAILED (convenience.=
at:267)
 38: Link order test                                 ok
 39: Link order of deplibs                           ok
 40: Failure tests                                   ok
 41: shlibpath_overrides_runpath                     ok
 42: Runpath in libtool library files                ok
 43: static linking flags for programs               ok
 45: Export test                                     ok
 46: sys_lib_search_path                             ok
 47: indirect convenience                            ok
 48: indirect uninstalled                            ok
 49: static library contains static library          expected failure (ar=
chive-in-archive.at:56)
 50: both of -o prog and -o prog$EXEEXT work         skipped (exeext.at:2=
9)
 51: execute mode                                    ok
 55: cwrapper for uninstalled executables            ok
 56: deplib in subdir                                ok
 57: inferred tag                                    ok
 58: CXX inferred tag                                ok
 59: F77 inferred tag                                ok
 60: FC inferred tag                                 ok
 61: GCJ inferred tag                                ok
 62: localized compiler messages                     ok
 63: nocase library search                           skipped (nocase.at:3=
1)
 64: Install tests                                   ok
 65: versioning                                      ok

DESTDIR tests

 66: Simple DESTDIR install                          ok
 67: DESTDIR with in-package deplibs                 ok

Libltdl functionality.

 81: syntax of .la files                             expected failure (la=
lib-syntax.at:133)
 84: enforced lib prefix                             ok

C++ template tests.

 99: simple template test                            ok
100: template test with subdirs                      ok

Constructors.

101: C++ static constructors                         ok
102: C++ exception handling                          ok

Detecting identical deplibs.

106: build tree relpaths                             expected failure (de=
plibs-ident.at:68)

Libtool stress test.

111: Link option thorough search test                ok

Mac OS X tests

117: deplibs without file command                    ok

sysroot tests

118: -L=3D.../lib -l                                   skipped (sysroot.a=
t:203)
119: -L SYSROOT/.../lib -l                           skipped (sysroot.at:=
204)
120: SYSROOT/.../*.la                                skipped (sysroot.at:=
205)

## ------------- ##
## Test results. ##
## ------------- ##

## -------------------------- ##
## testsuite.log was created. ##
## -------------------------- ##

Please send `testsuite.log' and all information you think might help:

   To: <bug-libtool@HIDDEN>
   Subject: [GNU Libtool 2.4] testsuite: 37 failed

You may investigate any problem if you feel able to do so, in which
case the test suite provides a good starting point.  Its output may
be found below `testsuite.dir'.

/cmdline_wrap.at:43: exit code was 1, expected 0
testsuite.log:
> ## --------------------------- ##
> ## GNU Libtool 2.4 test suite. ##
> ## --------------------------- ##
>=20
> testsuite: command line was:
>   $ /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/te=
stsuite -k libtool abs_top_srcdir=3D/var/tmp/portage/sys-devel/libtool-2.=
4-r1/work/libtool-2.4 abs_builddir=3D/var/tmp/portage/sys-devel/libtool-2=
.4-r1/work/libtool-2.4/tests
>=20
> ## --------- ##
> ## Platform. ##
> ## --------- ##
>=20
> hostname =3D MG
> uname -m =3D x86_64
> uname -r =3D 3.3.8-gentoo
> uname -s =3D Linux
> uname -v =3D #6 SMP Fri Aug 17 14:09:16 Local time zone must be set--se=
e zic=20
>=20
> /usr/bin/uname -p =3D AMD Athlon(tm) II Dual-Core M320
> /bin/uname -X     =3D unknown
>=20
> /bin/arch              =3D unknown
> /usr/bin/arch -k       =3D unknown
> /usr/convex/getsysinfo =3D unknown
> /usr/bin/hostinfo      =3D unknown
> /bin/machine           =3D unknown
> /usr/bin/oslevel       =3D unknown
> /bin/universe          =3D unknown
>=20
> PATH: /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests
> PATH: /usr/lib64/portage/bin/ebuild-helpers
> PATH: /usr/local/sbin
> PATH: /usr/local/bin
> PATH: /usr/sbin
> PATH: /usr/bin
> PATH: /sbin
> PATH: /bin
> PATH: /opt/bin
> PATH: /usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3
>=20
> ## ---------------- ##
> ## Tested programs. ##
> ## ---------------- ##
>=20
> ## ------------------ ##
> ## Running the tests. ##
> ## ------------------ ##
> testsuite: starting at: Sat Aug 18 09:16:54 Local time zone must be set=
--see zic manual page 2012
> 21. standard command line options (help.at:26): ok     (0m0.813s 0m0.36=
7s)
> 24. duplicate members in archive tests (duplicate_members.at:25): ok   =
  (0m0.963s 0m1.193s)
> 25. duplicate convenience archive names (duplicate_conv.at:25): ok     =
(0m1.510s 0m1.597s)
> 27. passing CC flags through libtool (flags.at:24): ok     (0m1.097s 0m=
0.667s)
> 28. passing CXX flags through libtool (flags.at:24): ok     (0m1.327s 0=
m0.897s)
> 29. passing F77 flags through libtool (flags.at:24): ok     (0m1.333s 0=
m0.920s)
> 30. passing FC flags through libtool (flags.at:24): ok     (0m1.410s 0m=
0.933s)
> 31. passing GCJ flags through libtool (flags.at:24): ok     (0m3.276s 0=
m1.123s)
> 32. inherited_linker_flags (inherited_flags.at:26): ok     (0m1.253s 0m=
1.290s)
> 33. C convenience archives (convenience.at:31): ok     (0m1.677s 0m1.51=
7s)
> 34. C++ convenience archives (convenience.at:70): ok     (0m1.963s 0m1.=
727s)
> 35. F77 convenience archives (convenience.at:110): ok     (0m1.827s 0m1=
.687s)
> 36. FC convenience archives (convenience.at:170): ok     (0m1.970s 0m1.=
803s)
> 38. Link order test (link-order.at:26): ok     (0m2.483s 0m2.190s)
> 39. Link order of deplibs (link-order2.at:46): ok     (0m4.356s 0m3.300=
s)
> 40. Failure tests (fail.at:27): ok     (0m0.767s 0m0.623s)
> 41. shlibpath_overrides_runpath (shlibpath.at:25): ok     (0m0.967s 0m0=
.827s)
> 42. Runpath in libtool library files (runpath-in-lalib.at:25): ok     (=
0m0.933s 0m0.833s)
> 43. static linking flags for programs (static.at:68): ok     (0m7.036s =
0m13.582s)
> 45. Export test (export.at:25): ok     (0m2.463s 0m2.633s)
> 46. sys_lib_search_path (search-path.at:25): ok     (0m0.230s 0m0.147s)
> 47. indirect convenience (indirect_deps.at:25): ok     (0m1.403s 0m1.20=
0s)
> 48. indirect uninstalled (indirect_deps.at:71): ok     (0m1.583s 0m1.58=
7s)
> 50. both of -o prog and -o prog$EXEEXT work (exeext.at:26): skipped (ex=
eext.at:29)
> 51. execute mode (execute-mode.at:25): ok     (0m4.640s 0m2.973s)
> 55. cwrapper for uninstalled executables (cwrapper.at:25): ok     (0m2.=
133s 0m2.413s)
> 56. deplib in subdir (deplib-in-subdir.at:34): ok     (0m3.113s 0m3.340=
s)
> 57. inferred tag (infer-tag.at:30): ok     (0m0.060s 0m0.090s)
> 58. CXX inferred tag (infer-tag.at:42): ok     (0m0.067s 0m0.087s)
> 59. F77 inferred tag (infer-tag.at:55): ok     (0m0.090s 0m0.073s)
> 60. FC inferred tag (infer-tag.at:69): ok     (0m0.073s 0m0.103s)
> 61. GCJ inferred tag (infer-tag.at:83): ok     (0m2.077s 0m0.357s)
> 62. localized compiler messages (localization.at:24): ok     (0m0.137s =
0m0.180s)
> 63. nocase library search (nocase.at:26): skipped (nocase.at:31)
> 64. Install tests (install.at:25): ok     (0m0.477s 0m0.370s)
> 65. versioning (versioning.at:24): ok     (0m4.073s 0m3.853s)
> 66. Simple DESTDIR install (destdir.at:48): ok     (0m0.600s 0m0.610s)
> 67. DESTDIR with in-package deplibs (destdir.at:75): ok     (0m2.120s 0=
m2.317s)
> 84. enforced lib prefix (need_lib_prefix.at:25): ok     (0m0.930s 0m0.7=
17s)
> 99. simple template test (template.at:27): ok     (0m0.613s 0m0.693s)
> 100. template test with subdirs (template.at:126): ok     (0m2.783s 0m2=
.340s)
> 101. C++ static constructors (ctor.at:27): ok     (0m0.497s 0m0.440s)
> 102. C++ exception handling (exceptions.at:24): ok     (0m3.040s 0m1.57=
0s)
> 111. Link option thorough search test (stresstest.at:31): ok     (0m48.=
080s 0m47.560s)
> 117. deplibs without file command (deplibs-mingw.at:27): ok     (0m0.57=
0s 0m0.497s)
> 118. -L=3D.../lib -l (sysroot.at:203): skipped (sysroot.at:203)
> 119. -L SYSROOT/.../lib -l (sysroot.at:204): skipped (sysroot.at:204)
> 120. SYSROOT/.../*.la (sysroot.at:205): skipped (sysroot.at:205)
> testsuite: ending at: Sat Aug 18 09:22:26 Local time zone must be set--=
see zic manual page 2012
> testsuite: test suite duration: 0h 5m 32s
>=20
> ## ------------- ##
> ## Test results. ##
> ## ------------- ##
>=20
> ERROR: 48 tests were run,
> 5 failed (4 expected failures).
> 5 tests were skipped.
>=20
> ## ------------------------ ##
> ## Summary of the failures. ##
> ## ------------------------ ##
> Failed tests:
> GNU Libtool 2.4 test suite test groups:
>=20
>  NUM: FILE-NAME:LINE     TEST-GROUP-NAME
>       KEYWORDS
>=20
>   37: convenience.at:230 Java convenience archives
>       gcj libtool
>=20
> Skipped tests:
> GNU Libtool 2.4 test suite test groups:
>=20
>  NUM: FILE-NAME:LINE     TEST-GROUP-NAME
>       KEYWORDS
>=20
>   50: exeext.at:26       both of -o prog and -o prog$EXEEXT work
>       libtool
>   63: nocase.at:26       nocase library search
>       libtool
>  118: sysroot.at:203     -L=3D.../lib -l
>       libtool sysroot libtoolize automake automake autoconf autoconf
>  119: sysroot.at:204     -L SYSROOT/.../lib -l
>       libtool sysroot libtoolize automake automake autoconf autoconf
>  120: sysroot.at:205     SYSROOT/.../*.la
>       libtool sysroot libtoolize automake automake autoconf autoconf
>=20
> ## ---------------------- ##
> ## Detailed failed tests. ##
> ## ---------------------- ##
>=20
> #                             -*- compilation -*-
> 37. convenience.at:230: testing Java convenience archives ...
> /convenience.at:231: { test -n "$GCJ" && test "X$GCJ" !=3D Xno; } || (e=
xit 77)
> /convenience.at:231: $GCJ $GCJFLAGS -c gcj_test.java || exit 77
> stderr:
> stdout:
> /convenience.at:231: $GCJ $GCJFLAGS --main=3Dgcj_test -o gcj_test$EXEEX=
T gcj_test.java 	    || exit 77
> stderr:
> stdout:
> /convenience.at:231: ./gcj_test$EXEEXT || exit 77
> stderr:
> stdout:
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo1.java  -fPIC -=
o .libs/foo1.o
> foo1.java:3: warning: The local variable a1 is never read
> 	A1 a1 =3D new A1();
> 	   ^^
> /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsu=
ite.dir/112/tests/testsuite.dir/037/A1.java:2: warning: The field A1.a is=
 never read locally
> 	private int a;
> 	            ^
> 2 problems (2 warnings)
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo1.java -o foo1.=
o >/dev/null 2>&1
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A1.java  -fPIC -o =
.libs/A1.o
> A1.java:2: warning: The field A1.a is never read locally
> 	private int a;
> 	            ^
> 1 problem (1 warning)
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A1.java -o A1.o >/=
dev/null 2>&1
> libtool: link: x86_64-pc-linux-gnu-ar cru .libs/liba1.a @.libs/liba1.li=
bcmd
> libtool: link: x86_64-pc-linux-gnu-ranlib .libs/liba1.a
> libtool: link: ( cd ".libs" && rm -f "liba1.la" && ln -s "../liba1.la" =
"liba1.la" )
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo2.java  -fPIC -=
o .libs/foo2.o
> foo2.java:3: warning: The local variable a1 is never read
> 	A1 a1 =3D new A1(); A2 a2 =3D new A2();
> 	   ^^
> foo2.java:3: warning: The local variable a2 is never read
> 	A1 a1 =3D new A1(); A2 a2 =3D new A2();
> 	                     ^^
> /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsu=
ite.dir/112/tests/testsuite.dir/037/A1.java:2: warning: The field A1.a is=
 never read locally
> 	private int a;
> 	            ^
> /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsu=
ite.dir/112/tests/testsuite.dir/037/A2.java:2: warning: The field A2.a is=
 never read locally
> 	private int a;
> 	            ^
> 4 problems (4 warnings)
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo2.java -o foo2.=
o >/dev/null 2>&1
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A2.java  -fPIC -o =
.libs/A2.o
> A2.java:2: warning: The field A2.a is never read locally
> 	private int a;
> 	            ^
> 1 problem (1 warning)
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A2.java -o A2.o >/=
dev/null 2>&1
> libtool: link: x86_64-pc-linux-gnu-ar cru .libs/liba2.a @.libs/liba2.li=
bcmd
> libtool: link: x86_64-pc-linux-gnu-ranlib .libs/liba2.a
> libtool: link: ( cd ".libs" && rm -f "liba2.la" && ln -s "../liba2.la" =
"liba2.la" )
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo3.java  -fPIC -=
o .libs/foo3.o
> foo3.java:3: warning: The local variable a1 is never read
> 	A1 a1 =3D new A1(); A2 a2 =3D new A2(); A3 a3 =3D new A3();
> 	   ^^
> foo3.java:3: warning: The local variable a2 is never read
> 	A1 a1 =3D new A1(); A2 a2 =3D new A2(); A3 a3 =3D new A3();
> 	                     ^^
> foo3.java:3: warning: The local variable a3 is never read
> 	A1 a1 =3D new A1(); A2 a2 =3D new A2(); A3 a3 =3D new A3();
> 	                                       ^^
> /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsu=
ite.dir/112/tests/testsuite.dir/037/A1.java:2: warning: The field A1.a is=
 never read locally
> 	private int a;
> 	            ^
> /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsu=
ite.dir/112/tests/testsuite.dir/037/A2.java:2: warning: The field A2.a is=
 never read locally
> 	private int a;
> 	            ^
> /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/tests/testsu=
ite.dir/112/tests/testsuite.dir/037/A3.java:2: warning: The field A3.a is=
 never read locally
> 	private int a;
> 	            ^
> 6 problems (6 warnings)
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c foo3.java -o foo3.=
o >/dev/null 2>&1
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A3.java  -fPIC -o =
.libs/A3.o
> A3.java:2: warning: The field A3.a is never read locally
> 	private int a;
> 	            ^
> 1 problem (1 warning)
> libtool: compile:  x86_64-pc-linux-gnu-gcj -g -O2 -c A3.java -o A3.o >/=
dev/null 2>&1
> libtool: link: x86_64-pc-linux-gnu-ar cru .libs/liba3.a @.libs/liba3.li=
bcmd
> libtool: link: x86_64-pc-linux-gnu-ranlib .libs/liba3.a
> libtool: link: ( cd ".libs" && rm -f "liba3.la" && ln -s "../liba3.la" =
"liba3.la" )
> /convenience.at:267: $LIBTOOL --tag=3DGCJ --mode=3Dlink $GCJ $GCJFLAGS =
$LDFLAGS -o liba12.la liba1.la liba2.la -rpath /notexist
> stderr:
> ./.libs/liba2.a(A2.o):(.rodata+0x0): multiple definition of `java resou=
rce .dummy'
> ./.libs/liba1.a(A1.o):(.rodata+0x0): first defined here
> collect2: ld returned 1 exit status
> stdout:
> libtool: link: x86_64-pc-linux-gnu-gcj -shared  -fPIC  -Wl,--whole-arch=
ive ./.libs/liba1.a ./.libs/liba2.a -Wl,--no-whole-archive   -O2 -Wl,-O1 =
-Wl,--as-needed   -Wl,-soname -Wl,liba12.so.0 -o .libs/liba12.so.0.0.0
> /convenience.at:267: exit code was 1, expected 0
> 37. convenience.at:230: 37. Java convenience archives (convenience.at:2=
30): FAILED (convenience.at:267)
>=20
>=20
112. cmdline_wrap.at:28: 112. Run tests with low max_cmd_len (cmdline_wra=
p.at:28): FAILED (cmdline_wrap.at:43)


## ------------- ##
## ../config.log ##
## ------------- ##
| This file contains any messages produced by compilers while
| running configure, to aid debugging if configure makes a mistake.
|=20
| It was created by GNU Libtool configure 2.4, which was
| generated by GNU Autoconf 2.68.  Invocation command line was
|=20
|   $ ./configure --prefix=3D/usr --build=3Dx86_64-pc-linux-gnu --host=3D=
x86_64-pc-linux-gnu --mandir=3D/usr/share/man --infodir=3D/usr/share/info=
 --datadir=3D/usr/share --sysconfdir=3D/etc --localstatedir=3D/var/lib --=
libdir=3D/usr/lib64
|=20
| ## --------- ##
| ## Platform. ##
| ## --------- ##
|=20
| hostname =3D MG
| uname -m =3D x86_64
| uname -r =3D 3.3.8-gentoo
| uname -s =3D Linux
| uname -v =3D #6 SMP Fri Aug 17 14:09:16 Local time zone must be set--se=
e zic=20
|=20
| /usr/bin/uname -p =3D AMD Athlon(tm) II Dual-Core M320
| /bin/uname -X     =3D unknown
|=20
| /bin/arch              =3D unknown
| /usr/bin/arch -k       =3D unknown
| /usr/convex/getsysinfo =3D unknown
| /usr/bin/hostinfo      =3D unknown
| /bin/machine           =3D unknown
| /usr/bin/oslevel       =3D unknown
| /bin/universe          =3D unknown
|=20
| PATH: /usr/lib64/portage/bin/ebuild-helpers
| PATH: /usr/local/sbin
| PATH: /usr/local/bin
| PATH: /usr/sbin
| PATH: /usr/bin
| PATH: /sbin
| PATH: /bin
| PATH: /opt/bin
| PATH: /usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3
|=20
|=20
| ## ----------- ##
| ## Core tests. ##
| ## ----------- ##
|=20
| configure:2704: checking for a BSD-compatible install
| configure:2772: result: /usr/bin/install -c
| configure:2783: checking whether build environment is sane
| configure:2833: result: yes
| configure:2974: checking for a thread-safe mkdir -p
| configure:3013: result: /bin/mkdir -p
| configure:3026: checking for gawk
| configure:3042: found /usr/bin/gawk
| configure:3053: result: gawk
| configure:3064: checking whether make sets $(MAKE)
| configure:3086: result: yes
| configure:3180: checking build system type
| configure:3194: result: x86_64-pc-linux-gnu
| configure:3214: checking host system type
| configure:3227: result: x86_64-pc-linux-gnu
| configure:3254: autobuild project... GNU Libtool
| configure:3260: autobuild revision... 2.4 ()
| configure:3265: autobuild hostname... MG
| configure:3269: autobuild mode... default
| configure:3277: autobuild timestamp... 20120818T084525Z
| configure:3336: checking for x86_64-pc-linux-gnu-gcc
| configure:3352: found /usr/bin/x86_64-pc-linux-gnu-gcc
| configure:3363: result: x86_64-pc-linux-gnu-gcc
| configure:3632: checking for C compiler version
| configure:3641: x86_64-pc-linux-gnu-gcc --version >&5
| x86_64-pc-linux-gnu-gcc (Gentoo 4.5.3-r2 p1.5, pie-0.4.7) 4.5.3
| Copyright (C) 2010 Free Software Foundation, Inc.
| This is free software; see the source for copying conditions.  There is=
 NO
| warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURP=
OSE.
|=20
| configure:3652: $? =3D 0
| configure:3641: x86_64-pc-linux-gnu-gcc -v >&5
| Using built-in specs.
| COLLECT_GCC=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3/x86_64-pc-linux-gn=
u-gcc
| COLLECT_LTO_WRAPPER=3D/usr/libexec/gcc/x86_64-pc-linux-gnu/4.5.3/lto-wr=
apper
| Target: x86_64-pc-linux-gnu
| Configured with: /var/tmp/portage/sys-devel/gcc-4.5.3-r2/work/gcc-4.5.3=
/configure --prefix=3D/usr --bindir=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.=
5.3 --includedir=3D/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/include --datad=
ir=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3 --mandir=3D/usr/share/=
gcc-data/x86_64-pc-linux-gnu/4.5.3/man --infodir=3D/usr/share/gcc-data/x8=
6_64-pc-linux-gnu/4.5.3/info --with-gxx-include-dir=3D/usr/lib/gcc/x86_64=
-pc-linux-gnu/4.5.3/include/g++-v4 --host=3Dx86_64-pc-linux-gnu --build=3D=
x86_64-pc-linux-gnu --disable-altivec --disable-fixed-point --with-ppl --=
with-cloog --disable-ppl-version-check --with-cloog-include=3D/usr/includ=
e/cloog-ppl --enable-lto --enable-nls --without-included-gettext --with-s=
ystem-zlib --enable-obsolete --disable-werror --enable-secureplt --enable=
-multilib --enable-libmudflap --disable-libssp --enable-libgomp --with-py=
thon-dir=3D/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/python --enable-chec=
king=3Drelease --enable-java-awt=3Dgtk --enable-languages=3Dc,c++,java,fo=
rtr
an --enable-shared --enable-threads=3Dposix --enable-__cxa_atexit --enabl=
e-clocale=3Dgnu --enable-targets=3Dall --with-bugurl=3Dhttp://bugs.gentoo=
.org/ --with-pkgversion=3D'Gentoo 4.5.3-r2 p1.5, pie-0.4.7'
| Thread model: posix
| gcc version 4.5.3 (Gentoo 4.5.3-r2 p1.5, pie-0.4.7)=20
| configure:3652: $? =3D 0
| configure:3641: x86_64-pc-linux-gnu-gcc -V >&5
| x86_64-pc-linux-gnu-gcc: '-V' option must have argument
| configure:3652: $? =3D 1
| configure:3641: x86_64-pc-linux-gnu-gcc -qversion >&5
| x86_64-pc-linux-gnu-gcc: unrecognized option '-qversion'
| x86_64-pc-linux-gnu-gcc: no input files
| configure:3652: $? =3D 1
| configure:3672: checking whether the C compiler works
| configure:3694: x86_64-pc-linux-gnu-gcc -O2 -pipe  -Wl,-O1 -Wl,--as-nee=
ded conftest.c  >&5
| configure:3698: $? =3D 0
| configure:3746: result: yes
| configure:3749: checking for C compiler default output file name
| configure:3751: result: a.out
| configure:3757: checking for suffix of executables
| configure:3764: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1 =
-Wl,--as-needed conftest.c  >&5
| configure:3768: $? =3D 0
| configure:3790: result:=20
| configure:3812: checking whether we are cross compiling
| configure:3820: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1 =
-Wl,--as-needed conftest.c  >&5
| configure:3824: $? =3D 0
| configure:3831: ./conftest
| configure:3835: $? =3D 0
| configure:3850: result: no
| configure:3855: checking for suffix of object files
| configure:3877: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:3881: $? =3D 0
| configure:3902: result: o
| configure:3906: checking whether we are using the GNU C compiler
| configure:3925: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:3925: $? =3D 0
| configure:3934: result: yes
| configure:3943: checking whether x86_64-pc-linux-gnu-gcc accepts -g
| configure:3963: x86_64-pc-linux-gnu-gcc -c -g  conftest.c >&5
| configure:3963: $? =3D 0
| configure:4004: result: yes
| configure:4021: checking for x86_64-pc-linux-gnu-gcc option to accept I=
SO C89
| configure:4085: x86_64-pc-linux-gnu-gcc  -c -O2 -pipe  conftest.c >&5
| configure:4085: $? =3D 0
| configure:4098: result: none needed
| configure:4129: checking for style of include used by make
| configure:4157: result: GNU
| configure:4183: checking dependency style of x86_64-pc-linux-gnu-gcc
| configure:4294: result: gcc3
| configure:4310: checking whether x86_64-pc-linux-gnu-gcc and cc underst=
and -c and -o together
| configure:4341: x86_64-pc-linux-gnu-gcc -c conftest.c -o conftest2.o >&=
5
| configure:4345: $? =3D 0
| configure:4351: x86_64-pc-linux-gnu-gcc -c conftest.c -o conftest2.o >&=
5
| configure:4355: $? =3D 0
| configure:4366: cc -c conftest.c >&5
| configure:4370: $? =3D 0
| configure:4378: cc -c conftest.c -o conftest2.o >&5
| configure:4382: $? =3D 0
| configure:4388: cc -c conftest.c -o conftest2.o >&5
| configure:4392: $? =3D 0
| configure:4410: result: yes
| configure:4440: checking how to run the C preprocessor
| configure:4471: x86_64-pc-linux-gnu-gcc -E  conftest.c
| configure:4471: $? =3D 0
| configure:4485: x86_64-pc-linux-gnu-gcc -E  conftest.c
| conftest.c:11:28: fatal error: ac_nonexistent.h: No such file or direct=
ory
| compilation terminated.
| configure:4485: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | /* end confdefs.h.  */
| | #include <ac_nonexistent.h>
| configure:4510: result: x86_64-pc-linux-gnu-gcc -E
| configure:4530: x86_64-pc-linux-gnu-gcc -E  conftest.c
| configure:4530: $? =3D 0
| configure:4544: x86_64-pc-linux-gnu-gcc -E  conftest.c
| conftest.c:11:28: fatal error: ac_nonexistent.h: No such file or direct=
ory
| compilation terminated.
| configure:4544: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | /* end confdefs.h.  */
| | #include <ac_nonexistent.h>
| configure:4622: checking how to print strings
| configure:4649: result: printf
| configure:4670: checking for a sed that does not truncate output
| configure:4734: result: /bin/sed
| configure:4752: checking for grep that handles long lines and -e
| configure:4810: result: /bin/grep
| configure:4815: checking for egrep
| configure:4877: result: /bin/grep -E
| configure:4882: checking for fgrep
| configure:4944: result: /bin/grep -F
| configure:4979: checking for ld used by x86_64-pc-linux-gnu-gcc
| configure:5046: result: /usr/x86_64-pc-linux-gnu/bin/ld
| configure:5053: checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld=
) is GNU ld
| configure:5068: result: yes
| configure:5080: checking for BSD- or MS-compatible name lister (nm)
| configure:5129: result: /usr/bin/nm -B
| configure:5259: checking the name lister (/usr/bin/nm -B) interface
| configure:5266: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:5269: /usr/bin/nm -B "conftest.o"
| configure:5272: output
| 0000000000000000 B some_variable
| configure:5279: result: BSD nm
| configure:5282: checking whether ln -s works
| configure:5286: result: yes
| configure:5294: checking the maximum length of command line arguments
| configure:5419: result: 1572864
| configure:5436: checking whether the shell understands some XSI constru=
cts
| configure:5446: result: yes
| configure:5450: checking whether the shell understands "+=3D"
| configure:5456: result: yes
| configure:5491: checking how to convert x86_64-pc-linux-gnu file names =
to x86_64-pc-linux-gnu format
| configure:5531: result: func_convert_file_noop
| configure:5538: checking how to convert x86_64-pc-linux-gnu file names =
to toolchain format
| configure:5558: result: func_convert_file_noop
| configure:5565: checking for /usr/x86_64-pc-linux-gnu/bin/ld option to =
reload object files
| configure:5572: result: -r
| configure:5606: checking for x86_64-pc-linux-gnu-objdump
| configure:5622: found /usr/bin/x86_64-pc-linux-gnu-objdump
| configure:5633: result: x86_64-pc-linux-gnu-objdump
| configure:5702: checking how to recognize dependent libraries
| configure:5904: result: pass_all
| configure:5949: checking for x86_64-pc-linux-gnu-dlltool
| configure:5979: result: no
| configure:5989: checking for dlltool
| configure:6019: result: no
| configure:6046: checking how to associate runtime and link libraries
| configure:6073: result: printf %s\n
| configure:6090: checking for x86_64-pc-linux-gnu-ar
| configure:6106: found /usr/bin/x86_64-pc-linux-gnu-ar
| configure:6117: result: x86_64-pc-linux-gnu-ar
| configure:6198: checking for archiver @FILE support
| configure:6215: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:6215: $? =3D 0
| configure:6218: x86_64-pc-linux-gnu-ar cru libconftest.a @conftest.lst =
>&5
| configure:6221: $? =3D 0
| configure:6226: x86_64-pc-linux-gnu-ar cru libconftest.a @conftest.lst =
>&5
| x86_64-pc-linux-gnu-ar: conftest.o: No such file or directory
| configure:6229: $? =3D 1
| configure:6241: result: @
| configure:6259: checking for x86_64-pc-linux-gnu-strip
| configure:6275: found /usr/bin/x86_64-pc-linux-gnu-strip
| configure:6286: result: x86_64-pc-linux-gnu-strip
| configure:6358: checking for x86_64-pc-linux-gnu-ranlib
| configure:6374: found /usr/bin/x86_64-pc-linux-gnu-ranlib
| configure:6385: result: x86_64-pc-linux-gnu-ranlib
| configure:6527: checking command to parse /usr/bin/nm -B output from x8=
6_64-pc-linux-gnu-gcc object
| configure:6646: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:6649: $? =3D 0
| configure:6653: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[ ]\([ABCD=
GIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | se=
d '/ __gnu_lto/d' \> conftest.nm
| configure:6656: $? =3D 0
| configure:6722: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1 =
-Wl,--as-needed conftest.c conftstm.o >&5
| configure:6725: $? =3D 0
| configure:6763: result: ok
| configure:6800: checking for sysroot
| configure:6830: result: no
| configure:6907: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:6910: $? =3D 0
| configure:7033: checking for x86_64-pc-linux-gnu-mt
| configure:7063: result: no
| configure:7073: checking for mt
| configure:7103: result: no
| configure:7123: checking if : is a manifest tool
| configure:7129: : '-?'
| configure:7137: result: no
| configure:7765: checking for ANSI C header files
| configure:7785: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7785: $? =3D 0
| configure:7858: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1 =
-Wl,--as-needed conftest.c  >&5
| configure:7858: $? =3D 0
| configure:7858: ./conftest
| configure:7858: $? =3D 0
| configure:7869: result: yes
| configure:7882: checking for sys/types.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for sys/stat.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for stdlib.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for string.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for memory.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for strings.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for inttypes.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for stdint.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7882: checking for unistd.h
| configure:7882: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7882: $? =3D 0
| configure:7882: result: yes
| configure:7896: checking for dlfcn.h
| configure:7896: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:7896: $? =3D 0
| configure:7896: result: yes
| configure:8380: checking for objdir
| configure:8395: result: .libs
| configure:8666: checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti =
-fno-exceptions
| configure:8684: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  -fno-rtti -fno-ex=
ceptions conftest.c >&5
| cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ b=
ut not for C
| configure:8688: $? =3D 0
| configure:8701: result: no
| configure:9011: checking for x86_64-pc-linux-gnu-gcc option to produce =
PIC
| configure:9018: result: -fPIC -DPIC
| configure:9026: checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPI=
C works
| configure:9044: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  -fPIC -DPIC -DPIC=
 conftest.c >&5
| configure:9048: $? =3D 0
| configure:9061: result: yes
| configure:9090: checking if x86_64-pc-linux-gnu-gcc static flag -static=
 works
| configure:9118: result: yes
| configure:9133: checking if x86_64-pc-linux-gnu-gcc supports -c -o file=
.o
| configure:9154: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  -o out/conftest2.=
o conftest.c >&5
| configure:9158: $? =3D 0
| configure:9180: result: yes
| configure:9188: checking if x86_64-pc-linux-gnu-gcc supports -c -o file=
.o
| configure:9235: result: yes
| configure:9268: checking whether the x86_64-pc-linux-gnu-gcc linker (/u=
sr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries
| configure:10426: result: yes
| configure:10463: checking whether -lc should be explicitly linked in
| configure:10471: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:10474: $? =3D 0
| configure:10489: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC conftest.=
o  -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| /bin/grep  -lc  \>/d=
ev/null 2\>\&1
| configure:10492: $? =3D 0
| configure:10506: result: no
| configure:10671: checking dynamic linker characteristics
| configure:11198: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed -Wl,-rpath -Wl,/foo conftest.c  >&5
| configure:11198: $? =3D 0
| configure:11420: result: GNU/Linux ld.so
| configure:11527: checking how to hardcode library paths into programs
| configure:11552: result: immediate
| configure:11646: checking for shl_load
| configure:11646: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c  >&5
| /var/tmp/portage/sys-devel/libtool-2.4-r1/temp/ccyEBIE8.o: In function =
`main':
| conftest.c:(.text+0x7): undefined reference to `shl_load'
| collect2: ld returned 1 exit status
| configure:11646: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | /* end confdefs.h.  */
| | /* Define shl_load to an innocuous variant, in case <limits.h> declar=
es shl_load.
| |    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
| | #define shl_load innocuous_shl_load
| |=20
| | /* System header to define __stub macros and hopefully few prototypes=
,
| |     which can conflict with char shl_load (); below.
| |     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| |     <limits.h> exists even on freestanding compilers.  */
| |=20
| | #ifdef __STDC__
| | # include <limits.h>
| | #else
| | # include <assert.h>
| | #endif
| |=20
| | #undef shl_load
| |=20
| | /* Override any GCC internal prototype to avoid an error.
| |    Use char because int might match the return type of a GCC
| |    builtin and then its argument prototype would still apply.  */
| | #ifdef __cplusplus
| | extern "C"
| | #endif
| | char shl_load ();
| | /* The GNU C library defines this for functions which it implements
| |     to always fail with ENOSYS.  Some functions are actually named
| |     something starting with __ and the normal name is an alias.  */
| | #if defined __stub_shl_load || defined __stub___shl_load
| | choke me
| | #endif
| |=20
| | int
| | main ()
| | {
| | return shl_load ();
| |   ;
| |   return 0;
| | }
| configure:11646: result: no
| configure:11650: checking for shl_load in -ldld
| configure:11675: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldld   >&5
| /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/../../../../x86_64-pc-linux-gnu/=
bin/ld: cannot find -ldld
| collect2: ld returned 1 exit status
| configure:11675: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | /* end confdefs.h.  */
| |=20
| | /* Override any GCC internal prototype to avoid an error.
| |    Use char because int might match the return type of a GCC
| |    builtin and then its argument prototype would still apply.  */
| | #ifdef __cplusplus
| | extern "C"
| | #endif
| | char shl_load ();
| | int
| | main ()
| | {
| | return shl_load ();
| |   ;
| |   return 0;
| | }
| configure:11684: result: no
| configure:11689: checking for dlopen
| configure:11689: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c  >&5
| /var/tmp/portage/sys-devel/libtool-2.4-r1/temp/ccTe6Nbu.o: In function =
`main':
| conftest.c:(.text+0x7): undefined reference to `dlopen'
| collect2: ld returned 1 exit status
| configure:11689: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | /* end confdefs.h.  */
| | /* Define dlopen to an innocuous variant, in case <limits.h> declares=
 dlopen.
| |    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
| | #define dlopen innocuous_dlopen
| |=20
| | /* System header to define __stub macros and hopefully few prototypes=
,
| |     which can conflict with char dlopen (); below.
| |     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| |     <limits.h> exists even on freestanding compilers.  */
| |=20
| | #ifdef __STDC__
| | # include <limits.h>
| | #else
| | # include <assert.h>
| | #endif
| |=20
| | #undef dlopen
| |=20
| | /* Override any GCC internal prototype to avoid an error.
| |    Use char because int might match the return type of a GCC
| |    builtin and then its argument prototype would still apply.  */
| | #ifdef __cplusplus
| | extern "C"
| | #endif
| | char dlopen ();
| | /* The GNU C library defines this for functions which it implements
| |     to always fail with ENOSYS.  Some functions are actually named
| |     something starting with __ and the normal name is an alias.  */
| | #if defined __stub_dlopen || defined __stub___dlopen
| | choke me
| | #endif
| |=20
| | int
| | main ()
| | {
| | return dlopen ();
| |   ;
| |   return 0;
| | }
| configure:11689: result: no
| configure:11693: checking for dlopen in -ldl
| configure:11718: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl   >&5
| configure:11718: $? =3D 0
| configure:11727: result: yes
| configure:11846: checking whether a program can dlopen itself
| configure:11926: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -DHAVE_=
DLFCN_H -Wl,-O1 -Wl,--as-needed -Wl,--export-dynamic conftest.c -ldl  >&5
| configure:11929: $? =3D 0
| configure:11947: result: yes
| configure:11952: checking whether a statically linked program can dlope=
n itself
| configure:12032: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -DHAVE_=
DLFCN_H -Wl,-O1 -Wl,--as-needed -Wl,--export-dynamic -static conftest.c -=
ldl  >&5
| /var/tmp/portage/sys-devel/libtool-2.4-r1/temp/cctemKzT.o: In function =
`main':
| conftest.c:(.text+0x19): warning: Using 'dlopen' in statically linked a=
pplications requires at runtime the shared libraries from the glibc versi=
on used for linking
| /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/../../../../x86_64-pc-linux-gnu/=
bin/ld: dynamic STT_GNU_IFUNC symbol `strcmp' with pointer equality in `/=
usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/../../../../lib64/libc.a(strcmp.o)'=
 can not be used when making an executable; recompile with -fPIE and reli=
nk with -pie
| collect2: ld returned 1 exit status
| configure:12035: $? =3D 1
| configure:12053: result: no
| configure:12092: checking whether stripping libraries is possible
| configure:12097: result: yes
| configure:12132: checking if libtool supports shared libraries
| configure:12134: result: yes
| configure:12137: checking whether to build shared libraries
| configure:12158: result: yes
| configure:12161: checking whether to build static libraries
| configure:12165: result: yes
| configure:12201: checking which extension is used for runtime loadable =
modules
| configure:12211: result: .so
| configure:12221: checking which variable specifies run-time module sear=
ch path
| configure:12228: result: LD_LIBRARY_PATH
| configure:12238: checking for the default library search path
| configure:12245: result: /lib /usr/lib /lib64 /usr/lib64 /usr/local/lib=
64 /lib32 /usr/lib32 /usr/local/lib32 /lib /usr/lib /usr/local/lib /usr/x=
86_64-pc-linux-gnu/lib /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32 /usr/lib=
/gcc/x86_64-pc-linux-gnu/4.5.3 /usr/lib32/opengl/xorg-x11/lib /usr/lib64/=
opengl/xorg-x11/lib /usr/lib64/qt4 /usr/lib32/qt4 /usr/lib/qt4=20
| configure:12275: checking for library containing dlopen
| configure:12306: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c  >&5
| /var/tmp/portage/sys-devel/libtool-2.4-r1/temp/ccIAjjeb.o: In function =
`main':
| conftest.c:(.text+0x7): undefined reference to `dlopen'
| collect2: ld returned 1 exit status
| configure:12306: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | /* end confdefs.h.  */
| |=20
| | /* Override any GCC internal prototype to avoid an error.
| |    Use char because int might match the return type of a GCC
| |    builtin and then its argument prototype would still apply.  */
| | #ifdef __cplusplus
| | extern "C"
| | #endif
| | char dlopen ();
| | int
| | main ()
| | {
| | return dlopen ();
| |   ;
| |   return 0;
| | }
| configure:12306: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl   >&5
| configure:12306: $? =3D 0
| configure:12323: result: -ldl
| configure:12413: checking for dlerror
| configure:12413: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  -ldl >&5
| configure:12413: $? =3D 0
| configure:12413: result: yes
| configure:12427: checking for shl_load
| configure:12427: result: no
| configure:12434: checking for shl_load in -ldld
| configure:12468: result: no
| configure:12514: checking for dld_link in -ldld
| configure:12539: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldld  -ldl  >&5
| /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/../../../../x86_64-pc-linux-gnu/=
bin/ld: cannot find -ldld
| collect2: ld returned 1 exit status
| configure:12539: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | /* end confdefs.h.  */
| |=20
| | /* Override any GCC internal prototype to avoid an error.
| |    Use char because int might match the return type of a GCC
| |    builtin and then its argument prototype would still apply.  */
| | #ifdef __cplusplus
| | extern "C"
| | #endif
| | char dld_link ();
| | int
| | main ()
| | {
| | return dld_link ();
| |   ;
| |   return 0;
| | }
| configure:12548: result: no
| configure:12582: checking for _ prefix in compiled symbols
| configure:12592: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:12595: $? =3D 0
| configure:12599: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[	 ]\([AB=
CDGIRSTW][ABCDGIRSTW]*\)[	 ][	 ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' =
| sed '/ __gnu_lto/d' \> conftest.nm
| configure:12602: $? =3D 0
| configure:12624: result: no
| configure:12748: checking whether deplibs are loaded by dlopen
| configure:12842: result: yes
| configure:12854: checking for argz.h
| configure:12854: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:12854: $? =3D 0
| configure:12854: result: yes
| configure:12866: checking for error_t
| configure:12866: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:12866: $? =3D 0
| configure:12866: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| conftest.c: In function 'main':
| conftest.c:37:22: error: expected expression before ')' token
| configure:12866: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | /* end confdefs.h.  */
| | #if defined(HAVE_ARGZ_H)
| | #  include <argz.h>
| | #endif
| |=20
| | int
| | main ()
| | {
| | if (sizeof ((error_t)))
| | 	    return 0;
| |   ;
| |   return 0;
| | }
| configure:12866: result: yes
| configure:12892: checking for argz_add
| configure:12892: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:12892: $? =3D 0
| configure:12892: result: yes
| configure:12892: checking for argz_append
| configure:12892: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:12892: $? =3D 0
| configure:12892: result: yes
| configure:12892: checking for argz_count
| configure:12892: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:12892: $? =3D 0
| configure:12892: result: yes
| configure:12892: checking for argz_create_sep
| configure:12892: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:12892: $? =3D 0
| configure:12892: result: yes
| configure:12892: checking for argz_insert
| configure:12892: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:12892: $? =3D 0
| configure:12892: result: yes
| configure:12892: checking for argz_next
| configure:12892: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:12892: $? =3D 0
| configure:12892: result: yes
| configure:12892: checking for argz_stringify
| configure:12892: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:12892: $? =3D 0
| configure:12892: result: yes
| configure:12910: checking if argz actually works
| configure:12941: result: yes
| configure:12960: checking whether libtool supports -dlopen/-dlpreopen
| configure:12972: result: yes
| configure:13025: checking for unistd.h
| configure:13025: result: yes
| configure:13025: checking for dl.h
| configure:13025: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| conftest.c:75:16: fatal error: dl.h: No such file or directory
| compilation terminated.
| configure:13025: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | /* end confdefs.h.  */
| | #include <stdio.h>
| | #ifdef HAVE_SYS_TYPES_H
| | # include <sys/types.h>
| | #endif
| | #ifdef HAVE_SYS_STAT_H
| | # include <sys/stat.h>
| | #endif
| | #ifdef STDC_HEADERS
| | # include <stdlib.h>
| | # include <stddef.h>
| | #else
| | # ifdef HAVE_STDLIB_H
| | #  include <stdlib.h>
| | # endif
| | #endif
| | #ifdef HAVE_STRING_H
| | # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| | #  include <memory.h>
| | # endif
| | # include <string.h>
| | #endif
| | #ifdef HAVE_STRINGS_H
| | # include <strings.h>
| | #endif
| | #ifdef HAVE_INTTYPES_H
| | # include <inttypes.h>
| | #endif
| | #ifdef HAVE_STDINT_H
| | # include <stdint.h>
| | #endif
| | #ifdef HAVE_UNISTD_H
| | # include <unistd.h>
| | #endif
| |=20
| | #include <dl.h>
| configure:13025: result: no
| configure:13025: checking for sys/dl.h
| configure:13025: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| conftest.c:75:20: fatal error: sys/dl.h: No such file or directory
| compilation terminated.
| configure:13025: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | /* end confdefs.h.  */
| | #include <stdio.h>
| | #ifdef HAVE_SYS_TYPES_H
| | # include <sys/types.h>
| | #endif
| | #ifdef HAVE_SYS_STAT_H
| | # include <sys/stat.h>
| | #endif
| | #ifdef STDC_HEADERS
| | # include <stdlib.h>
| | # include <stddef.h>
| | #else
| | # ifdef HAVE_STDLIB_H
| | #  include <stdlib.h>
| | # endif
| | #endif
| | #ifdef HAVE_STRING_H
| | # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| | #  include <memory.h>
| | # endif
| | # include <string.h>
| | #endif
| | #ifdef HAVE_STRINGS_H
| | # include <strings.h>
| | #endif
| | #ifdef HAVE_INTTYPES_H
| | # include <inttypes.h>
| | #endif
| | #ifdef HAVE_STDINT_H
| | # include <stdint.h>
| | #endif
| | #ifdef HAVE_UNISTD_H
| | # include <unistd.h>
| | #endif
| |=20
| | #include <sys/dl.h>
| configure:13025: result: no
| configure:13025: checking for dld.h
| configure:13025: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| conftest.c:75:17: fatal error: dld.h: No such file or directory
| compilation terminated.
| configure:13025: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | /* end confdefs.h.  */
| | #include <stdio.h>
| | #ifdef HAVE_SYS_TYPES_H
| | # include <sys/types.h>
| | #endif
| | #ifdef HAVE_SYS_STAT_H
| | # include <sys/stat.h>
| | #endif
| | #ifdef STDC_HEADERS
| | # include <stdlib.h>
| | # include <stddef.h>
| | #else
| | # ifdef HAVE_STDLIB_H
| | #  include <stdlib.h>
| | # endif
| | #endif
| | #ifdef HAVE_STRING_H
| | # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| | #  include <memory.h>
| | # endif
| | # include <string.h>
| | #endif
| | #ifdef HAVE_STRINGS_H
| | # include <strings.h>
| | #endif
| | #ifdef HAVE_INTTYPES_H
| | # include <inttypes.h>
| | #endif
| | #ifdef HAVE_STDINT_H
| | # include <stdint.h>
| | #endif
| | #ifdef HAVE_UNISTD_H
| | # include <unistd.h>
| | #endif
| |=20
| | #include <dld.h>
| configure:13025: result: no
| configure:13025: checking for mach-o/dyld.h
| configure:13025: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| conftest.c:75:25: fatal error: mach-o/dyld.h: No such file or directory
| compilation terminated.
| configure:13025: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | /* end confdefs.h.  */
| | #include <stdio.h>
| | #ifdef HAVE_SYS_TYPES_H
| | # include <sys/types.h>
| | #endif
| | #ifdef HAVE_SYS_STAT_H
| | # include <sys/stat.h>
| | #endif
| | #ifdef STDC_HEADERS
| | # include <stdlib.h>
| | # include <stddef.h>
| | #else
| | # ifdef HAVE_STDLIB_H
| | #  include <stdlib.h>
| | # endif
| | #endif
| | #ifdef HAVE_STRING_H
| | # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| | #  include <memory.h>
| | # endif
| | # include <string.h>
| | #endif
| | #ifdef HAVE_STRINGS_H
| | # include <strings.h>
| | #endif
| | #ifdef HAVE_INTTYPES_H
| | # include <inttypes.h>
| | #endif
| | #ifdef HAVE_STDINT_H
| | # include <stdint.h>
| | #endif
| | #ifdef HAVE_UNISTD_H
| | # include <unistd.h>
| | #endif
| |=20
| | #include <mach-o/dyld.h>
| configure:13025: result: no
| configure:13025: checking for dirent.h
| configure:13025: x86_64-pc-linux-gnu-gcc -c -O2 -pipe  conftest.c >&5
| configure:13025: $? =3D 0
| configure:13025: result: yes
| configure:13040: checking for closedir
| configure:13040: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:13040: $? =3D 0
| configure:13040: result: yes
| configure:13040: checking for opendir
| configure:13040: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:13040: $? =3D 0
| configure:13040: result: yes
| configure:13040: checking for readdir
| configure:13040: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| configure:13040: $? =3D 0
| configure:13040: result: yes
| configure:13059: checking for strlcat
| configure:13059: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| /var/tmp/portage/sys-devel/libtool-2.4-r1/temp/ccIkPFQA.o: In function =
`main':
| conftest.c:(.text+0x7): undefined reference to `strlcat'
| collect2: ld returned 1 exit status
| configure:13059: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DIRENT_H 1
| | #define HAVE_CLOSEDIR 1
| | #define HAVE_OPENDIR 1
| | #define HAVE_READDIR 1
| | /* end confdefs.h.  */
| | /* Define strlcat to an innocuous variant, in case <limits.h> declare=
s strlcat.
| |    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
| | #define strlcat innocuous_strlcat
| |=20
| | /* System header to define __stub macros and hopefully few prototypes=
,
| |     which can conflict with char strlcat (); below.
| |     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| |     <limits.h> exists even on freestanding compilers.  */
| |=20
| | #ifdef __STDC__
| | # include <limits.h>
| | #else
| | # include <assert.h>
| | #endif
| |=20
| | #undef strlcat
| |=20
| | /* Override any GCC internal prototype to avoid an error.
| |    Use char because int might match the return type of a GCC
| |    builtin and then its argument prototype would still apply.  */
| | #ifdef __cplusplus
| | extern "C"
| | #endif
| | char strlcat ();
| | /* The GNU C library defines this for functions which it implements
| |     to always fail with ENOSYS.  Some functions are actually named
| |     something starting with __ and the normal name is an alias.  */
| | #if defined __stub_strlcat || defined __stub___strlcat
| | choke me
| | #endif
| |=20
| | int
| | main ()
| | {
| | return strlcat ();
| |   ;
| |   return 0;
| | }
| configure:13059: result: no
| configure:13059: checking for strlcpy
| configure:13059: x86_64-pc-linux-gnu-gcc -o conftest -O2 -pipe  -Wl,-O1=
 -Wl,--as-needed conftest.c -ldl  >&5
| /var/tmp/portage/sys-devel/libtool-2.4-r1/temp/ccZL4vJL.o: In function =
`main':
| conftest.c:(.text+0x7): undefined reference to `strlcpy'
| collect2: ld returned 1 exit status
| configure:13059: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DIRENT_H 1
| | #define HAVE_CLOSEDIR 1
| | #define HAVE_OPENDIR 1
| | #define HAVE_READDIR 1
| | /* end confdefs.h.  */
| | /* Define strlcpy to an innocuous variant, in case <limits.h> declare=
s strlcpy.
| |    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
| | #define strlcpy innocuous_strlcpy
| |=20
| | /* System header to define __stub macros and hopefully few prototypes=
,
| |     which can conflict with char strlcpy (); below.
| |     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| |     <limits.h> exists even on freestanding compilers.  */
| |=20
| | #ifdef __STDC__
| | # include <limits.h>
| | #else
| | # include <assert.h>
| | #endif
| |=20
| | #undef strlcpy
| |=20
| | /* Override any GCC internal prototype to avoid an error.
| |    Use char because int might match the return type of a GCC
| |    builtin and then its argument prototype would still apply.  */
| | #ifdef __cplusplus
| | extern "C"
| | #endif
| | char strlcpy ();
| | /* The GNU C library defines this for functions which it implements
| |     to always fail with ENOSYS.  Some functions are actually named
| |     something starting with __ and the normal name is an alias.  */
| | #if defined __stub_strlcpy || defined __stub___strlcpy
| | choke me
| | #endif
| |=20
| | int
| | main ()
| | {
| | return strlcpy ();
| |   ;
| |   return 0;
| | }
| configure:13059: result: no
| configure:13110: checking for x86_64-pc-linux-gnu-g++
| configure:13126: found /usr/bin/x86_64-pc-linux-gnu-g++
| configure:13137: result: x86_64-pc-linux-gnu-g++
| configure:13208: checking for C++ compiler version
| configure:13217: x86_64-pc-linux-gnu-g++ --version >&5
| x86_64-pc-linux-gnu-g++ (Gentoo 4.5.3-r2 p1.5, pie-0.4.7) 4.5.3
| Copyright (C) 2010 Free Software Foundation, Inc.
| This is free software; see the source for copying conditions.  There is=
 NO
| warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURP=
OSE.
|=20
| configure:13228: $? =3D 0
| configure:13217: x86_64-pc-linux-gnu-g++ -v >&5
| Using built-in specs.
| COLLECT_GCC=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3/x86_64-pc-linux-gn=
u-g++
| COLLECT_LTO_WRAPPER=3D/usr/libexec/gcc/x86_64-pc-linux-gnu/4.5.3/lto-wr=
apper
| Target: x86_64-pc-linux-gnu
| Configured with: /var/tmp/portage/sys-devel/gcc-4.5.3-r2/work/gcc-4.5.3=
/configure --prefix=3D/usr --bindir=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.=
5.3 --includedir=3D/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/include --datad=
ir=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3 --mandir=3D/usr/share/=
gcc-data/x86_64-pc-linux-gnu/4.5.3/man --infodir=3D/usr/share/gcc-data/x8=
6_64-pc-linux-gnu/4.5.3/info --with-gxx-include-dir=3D/usr/lib/gcc/x86_64=
-pc-linux-gnu/4.5.3/include/g++-v4 --host=3Dx86_64-pc-linux-gnu --build=3D=
x86_64-pc-linux-gnu --disable-altivec --disable-fixed-point --with-ppl --=
with-cloog --disable-ppl-version-check --with-cloog-include=3D/usr/includ=
e/cloog-ppl --enable-lto --enable-nls --without-included-gettext --with-s=
ystem-zlib --enable-obsolete --disable-werror --enable-secureplt --enable=
-multilib --enable-libmudflap --disable-libssp --enable-libgomp --with-py=
thon-dir=3D/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/python --enable-chec=
king=3Drelease --enable-java-awt=3Dgtk --enable-languages=3Dc,c++,java,fo=
rtr
an --enable-shared --enable-threads=3Dposix --enable-__cxa_atexit --enabl=
e-clocale=3Dgnu --enable-targets=3Dall --with-bugurl=3Dhttp://bugs.gentoo=
.org/ --with-pkgversion=3D'Gentoo 4.5.3-r2 p1.5, pie-0.4.7'
| Thread model: posix
| gcc version 4.5.3 (Gentoo 4.5.3-r2 p1.5, pie-0.4.7)=20
| configure:13228: $? =3D 0
| configure:13217: x86_64-pc-linux-gnu-g++ -V >&5
| x86_64-pc-linux-gnu-g++: '-V' option must have argument
| configure:13228: $? =3D 1
| configure:13217: x86_64-pc-linux-gnu-g++ -qversion >&5
| x86_64-pc-linux-gnu-g++: unrecognized option '-qversion'
| x86_64-pc-linux-gnu-g++: no input files
| configure:13228: $? =3D 1
| configure:13232: checking whether we are using the GNU C++ compiler
| configure:13251: x86_64-pc-linux-gnu-g++ -c -O2 -pipe  conftest.cpp >&5
| configure:13251: $? =3D 0
| configure:13260: result: yes
| configure:13269: checking whether x86_64-pc-linux-gnu-g++ accepts -g
| configure:13289: x86_64-pc-linux-gnu-g++ -c -g  conftest.cpp >&5
| configure:13289: $? =3D 0
| configure:13330: result: yes
| configure:13355: checking dependency style of x86_64-pc-linux-gnu-g++
| configure:13466: result: gcc3
| configure:13500: checking how to run the C++ preprocessor
| configure:13527: x86_64-pc-linux-gnu-g++ -E  conftest.cpp
| configure:13527: $? =3D 0
| configure:13541: x86_64-pc-linux-gnu-g++ -E  conftest.cpp
| conftest.cpp:47:28: fatal error: ac_nonexistent.h: No such file or dire=
ctory
| compilation terminated.
| configure:13541: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DIRENT_H 1
| | #define HAVE_CLOSEDIR 1
| | #define HAVE_OPENDIR 1
| | #define HAVE_READDIR 1
| | #define LT_LIBEXT "a"
| | #define LT_LIBPREFIX "lib"
| | /* end confdefs.h.  */
| | #include <ac_nonexistent.h>
| configure:13566: result: x86_64-pc-linux-gnu-g++ -E
| configure:13586: x86_64-pc-linux-gnu-g++ -E  conftest.cpp
| configure:13586: $? =3D 0
| configure:13600: x86_64-pc-linux-gnu-g++ -E  conftest.cpp
| conftest.cpp:47:28: fatal error: ac_nonexistent.h: No such file or dire=
ctory
| compilation terminated.
| configure:13600: $? =3D 1
| configure: failed program was:
| | /* confdefs.h */
| | #define PACKAGE_NAME "GNU Libtool"
| | #define PACKAGE_TARNAME "libtool"
| | #define PACKAGE_VERSION "2.4"
| | #define PACKAGE_STRING "GNU Libtool 2.4"
| | #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| | #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| | #define PACKAGE "libtool"
| | #define VERSION "2.4"
| | #define STDC_HEADERS 1
| | #define HAVE_SYS_TYPES_H 1
| | #define HAVE_SYS_STAT_H 1
| | #define HAVE_STDLIB_H 1
| | #define HAVE_STRING_H 1
| | #define HAVE_MEMORY_H 1
| | #define HAVE_STRINGS_H 1
| | #define HAVE_INTTYPES_H 1
| | #define HAVE_STDINT_H 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DLFCN_H 1
| | #define LT_OBJDIR ".libs/"
| | #define LT_MODULE_EXT ".so"
| | #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| | #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/=
lib64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/us=
r/x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/=
lib/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib=
64/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| | #define HAVE_LIBDL 1
| | #define HAVE_DLERROR 1
| | #define HAVE_LIBDLLOADER 1
| | #define HAVE_ARGZ_H 1
| | #define HAVE_ERROR_T 1
| | #define HAVE_ARGZ_ADD 1
| | #define HAVE_ARGZ_APPEND 1
| | #define HAVE_ARGZ_COUNT 1
| | #define HAVE_ARGZ_CREATE_SEP 1
| | #define HAVE_ARGZ_INSERT 1
| | #define HAVE_ARGZ_NEXT 1
| | #define HAVE_ARGZ_STRINGIFY 1
| | #define HAVE_WORKING_ARGZ 1
| | #define HAVE_PRELOADED_SYMBOLS 1
| | #define HAVE_UNISTD_H 1
| | #define HAVE_DIRENT_H 1
| | #define HAVE_CLOSEDIR 1
| | #define HAVE_OPENDIR 1
| | #define HAVE_READDIR 1
| | #define LT_LIBEXT "a"
| | #define LT_LIBPREFIX "lib"
| | /* end confdefs.h.  */
| | #include <ac_nonexistent.h>
| configure:13770: checking for ld used by x86_64-pc-linux-gnu-g++
| configure:13837: result: /usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64
| configure:13844: checking if the linker (/usr/x86_64-pc-linux-gnu/bin/l=
d -m elf_x86_64) is GNU ld
| configure:13859: result: yes
| configure:13914: checking whether the x86_64-pc-linux-gnu-g++ linker (/=
usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries
| configure:14918: result: yes
| configure:14953: x86_64-pc-linux-gnu-g++ -c -O2 -pipe  conftest.cpp >&5
| configure:14956: $? =3D 0
| configure:15476: checking for x86_64-pc-linux-gnu-g++ option to produce=
 PIC
| configure:15483: result: -fPIC -DPIC
| configure:15491: checking if x86_64-pc-linux-gnu-g++ PIC flag -fPIC -DP=
IC works
| configure:15509: x86_64-pc-linux-gnu-g++ -c -O2 -pipe  -fPIC -DPIC -DPI=
C conftest.cpp >&5
| configure:15513: $? =3D 0
| configure:15526: result: yes
| configure:15549: checking if x86_64-pc-linux-gnu-g++ static flag -stati=
c works
| configure:15577: result: yes
| configure:15589: checking if x86_64-pc-linux-gnu-g++ supports -c -o fil=
e.o
| configure:15610: x86_64-pc-linux-gnu-g++ -c -O2 -pipe  -o out/conftest2=
.o conftest.cpp >&5
| configure:15614: $? =3D 0
| configure:15636: result: yes
| configure:15641: checking if x86_64-pc-linux-gnu-g++ supports -c -o fil=
e.o
| configure:15688: result: yes
| configure:15718: checking whether the x86_64-pc-linux-gnu-g++ linker (/=
usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries
| configure:15752: result: yes
| configure:15895: checking dynamic linker characteristics
| configure:16578: result: GNU/Linux ld.so
| configure:16631: checking how to hardcode library paths into programs
| configure:16656: result: immediate
| configure:16705: checking for x86_64-pc-linux-gnu-g77
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-xlf
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-f77
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-frt
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-pgf77
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-cf77
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-fort77
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-fl32
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-af77
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-xlf90
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-f90
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-pgf90
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-pghpf
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-epcf90
| configure:16735: result: no
| configure:16705: checking for x86_64-pc-linux-gnu-gfortran
| configure:16721: found /usr/bin/x86_64-pc-linux-gnu-gfortran
| configure:16732: result: x86_64-pc-linux-gnu-gfortran
| configure:16802: checking for Fortran 77 compiler version
| configure:16811: x86_64-pc-linux-gnu-gfortran --version >&5
| GNU Fortran (Gentoo 4.5.3-r2 p1.5, pie-0.4.7) 4.5.3
| Copyright (C) 2010 Free Software Foundation, Inc.
|=20
| GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
| You may redistribute copies of GNU Fortran
| under the terms of the GNU General Public License.
| For more information about these matters, see the file named COPYING
|=20
| configure:16822: $? =3D 0
| configure:16811: x86_64-pc-linux-gnu-gfortran -v >&5
| Using built-in specs.
| COLLECT_GCC=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3/x86_64-pc-linux-gn=
u-gfortran
| COLLECT_LTO_WRAPPER=3D/usr/libexec/gcc/x86_64-pc-linux-gnu/4.5.3/lto-wr=
apper
| Target: x86_64-pc-linux-gnu
| Configured with: /var/tmp/portage/sys-devel/gcc-4.5.3-r2/work/gcc-4.5.3=
/configure --prefix=3D/usr --bindir=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.=
5.3 --includedir=3D/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/include --datad=
ir=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3 --mandir=3D/usr/share/=
gcc-data/x86_64-pc-linux-gnu/4.5.3/man --infodir=3D/usr/share/gcc-data/x8=
6_64-pc-linux-gnu/4.5.3/info --with-gxx-include-dir=3D/usr/lib/gcc/x86_64=
-pc-linux-gnu/4.5.3/include/g++-v4 --host=3Dx86_64-pc-linux-gnu --build=3D=
x86_64-pc-linux-gnu --disable-altivec --disable-fixed-point --with-ppl --=
with-cloog --disable-ppl-version-check --with-cloog-include=3D/usr/includ=
e/cloog-ppl --enable-lto --enable-nls --without-included-gettext --with-s=
ystem-zlib --enable-obsolete --disable-werror --enable-secureplt --enable=
-multilib --enable-libmudflap --disable-libssp --enable-libgomp --with-py=
thon-dir=3D/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/python --enable-chec=
king=3Drelease --enable-java-awt=3Dgtk --enable-languages=3Dc,c++,java,fo=
rtr
an --enable-shared --enable-threads=3Dposix --enable-__cxa_atexit --enabl=
e-clocale=3Dgnu --enable-targets=3Dall --with-bugurl=3Dhttp://bugs.gentoo=
.org/ --with-pkgversion=3D'Gentoo 4.5.3-r2 p1.5, pie-0.4.7'
| Thread model: posix
| gcc version 4.5.3 (Gentoo 4.5.3-r2 p1.5, pie-0.4.7)=20
| configure:16822: $? =3D 0
| configure:16811: x86_64-pc-linux-gnu-gfortran -V >&5
| x86_64-pc-linux-gnu-gfortran: '-V' option must have argument
| configure:16822: $? =3D 1
| configure:16811: x86_64-pc-linux-gnu-gfortran -qversion >&5
| x86_64-pc-linux-gnu-gfortran: unrecognized option '-qversion'
| x86_64-pc-linux-gnu-gfortran: no input files
| configure:16822: $? =3D 1
| configure:16831: checking whether we are using the GNU Fortran 77 compi=
ler
| configure:16844: x86_64-pc-linux-gnu-gfortran -c -O2 -pipe conftest.F >=
&5
| configure:16844: $? =3D 0
| configure:16853: result: yes
| configure:16859: checking whether x86_64-pc-linux-gnu-gfortran accepts =
-g
| configure:16870: x86_64-pc-linux-gnu-gfortran -c -g conftest.f >&5
| configure:16870: $? =3D 0
| configure:16878: result: yes
| configure:17015: checking if libtool supports shared libraries
| configure:17017: result: yes
| configure:17020: checking whether to build shared libraries
| configure:17040: result: yes
| configure:17043: checking whether to build static libraries
| configure:17047: result: yes
| configure:17351: checking for x86_64-pc-linux-gnu-gfortran option to pr=
oduce PIC
| configure:17358: result: -fPIC
| configure:17366: checking if x86_64-pc-linux-gnu-gfortran PIC flag -fPI=
C works
| configure:17384: x86_64-pc-linux-gnu-gfortran -c -O2 -pipe -fPIC confte=
st.f >&5
| configure:17388: $? =3D 0
| configure:17401: result: yes
| configure:17424: checking if x86_64-pc-linux-gnu-gfortran static flag -=
static works
| configure:17452: result: yes
| configure:17464: checking if x86_64-pc-linux-gnu-gfortran supports -c -=
o file.o
| configure:17485: x86_64-pc-linux-gnu-gfortran -c -O2 -pipe -o out/conft=
est2.o conftest.f >&5
| configure:17489: $? =3D 0
| configure:17511: result: yes
| configure:17516: checking if x86_64-pc-linux-gnu-gfortran supports -c -=
o file.o
| configure:17563: result: yes
| configure:17593: checking whether the x86_64-pc-linux-gnu-gfortran link=
er (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared librar=
ies
| configure:18701: result: yes
| configure:18844: checking dynamic linker characteristics
| configure:19521: result: GNU/Linux ld.so
| configure:19574: checking how to hardcode library paths into programs
| configure:19599: result: immediate
| configure:19641: checking for x86_64-pc-linux-gnu-gfortran
| configure:19657: found /usr/bin/x86_64-pc-linux-gnu-gfortran
| configure:19668: result: x86_64-pc-linux-gnu-gfortran
| configure:19738: checking for Fortran compiler version
| configure:19747: x86_64-pc-linux-gnu-gfortran --version >&5
| GNU Fortran (Gentoo 4.5.3-r2 p1.5, pie-0.4.7) 4.5.3
| Copyright (C) 2010 Free Software Foundation, Inc.
|=20
| GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
| You may redistribute copies of GNU Fortran
| under the terms of the GNU General Public License.
| For more information about these matters, see the file named COPYING
|=20
| configure:19758: $? =3D 0
| configure:19747: x86_64-pc-linux-gnu-gfortran -v >&5
| Using built-in specs.
| COLLECT_GCC=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3/x86_64-pc-linux-gn=
u-gfortran
| COLLECT_LTO_WRAPPER=3D/usr/libexec/gcc/x86_64-pc-linux-gnu/4.5.3/lto-wr=
apper
| Target: x86_64-pc-linux-gnu
| Configured with: /var/tmp/portage/sys-devel/gcc-4.5.3-r2/work/gcc-4.5.3=
/configure --prefix=3D/usr --bindir=3D/usr/x86_64-pc-linux-gnu/gcc-bin/4.=
5.3 --includedir=3D/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/include --datad=
ir=3D/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3 --mandir=3D/usr/share/=
gcc-data/x86_64-pc-linux-gnu/4.5.3/man --infodir=3D/usr/share/gcc-data/x8=
6_64-pc-linux-gnu/4.5.3/info --with-gxx-include-dir=3D/usr/lib/gcc/x86_64=
-pc-linux-gnu/4.5.3/include/g++-v4 --host=3Dx86_64-pc-linux-gnu --build=3D=
x86_64-pc-linux-gnu --disable-altivec --disable-fixed-point --with-ppl --=
with-cloog --disable-ppl-version-check --with-cloog-include=3D/usr/includ=
e/cloog-ppl --enable-lto --enable-nls --without-included-gettext --with-s=
ystem-zlib --enable-obsolete --disable-werror --enable-secureplt --enable=
-multilib --enable-libmudflap --disable-libssp --enable-libgomp --with-py=
thon-dir=3D/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/python --enable-chec=
king=3Drelease --enable-java-awt=3Dgtk --enable-languages=3Dc,c++,java,fo=
rtr
an --enable-shared --enable-threads=3Dposix --enable-__cxa_atexit --enabl=
e-clocale=3Dgnu --enable-targets=3Dall --with-bugurl=3Dhttp://bugs.gentoo=
.org/ --with-pkgversion=3D'Gentoo 4.5.3-r2 p1.5, pie-0.4.7'
| Thread model: posix
| gcc version 4.5.3 (Gentoo 4.5.3-r2 p1.5, pie-0.4.7)=20
| configure:19758: $? =3D 0
| configure:19747: x86_64-pc-linux-gnu-gfortran -V >&5
| x86_64-pc-linux-gnu-gfortran: '-V' option must have argument
| configure:19758: $? =3D 1
| configure:19747: x86_64-pc-linux-gnu-gfortran -qversion >&5
| x86_64-pc-linux-gnu-gfortran: unrecognized option '-qversion'
| x86_64-pc-linux-gnu-gfortran: no input files
| configure:19758: $? =3D 1
| configure:19767: checking whether we are using the GNU Fortran compiler
| configure:19780: x86_64-pc-linux-gnu-gfortran -c -O2 -pipe  conftest.F =
>&5
| configure:19780: $? =3D 0
| configure:19789: result: yes
| configure:19795: checking whether x86_64-pc-linux-gnu-gfortran accepts =
-g
| configure:19806: x86_64-pc-linux-gnu-gfortran -c -g  conftest.f >&5
| configure:19806: $? =3D 0
| configure:19814: result: yes
| configure:19949: checking if libtool supports shared libraries
| configure:19951: result: yes
| configure:19954: checking whether to build shared libraries
| configure:19974: result: yes
| configure:19977: checking whether to build static libraries
| configure:19981: result: yes
| configure:20014: x86_64-pc-linux-gnu-gfortran -c -O2 -pipe  conftest.f =
>&5
| configure:20017: $? =3D 0
| configure:20429: checking for x86_64-pc-linux-gnu-gfortran option to pr=
oduce PIC
| configure:20436: result: -fPIC
| configure:20444: checking if x86_64-pc-linux-gnu-gfortran PIC flag -fPI=
C works
| configure:20462: x86_64-pc-linux-gnu-gfortran -c -O2 -pipe -fPIC  conft=
est.f >&5
| configure:20466: $? =3D 0
| configure:20479: result: yes
| configure:20502: checking if x86_64-pc-linux-gnu-gfortran static flag -=
static works
| configure:20530: result: yes
| configure:20542: checking if x86_64-pc-linux-gnu-gfortran supports -c -=
o file.o
| configure:20563: x86_64-pc-linux-gnu-gfortran -c -O2 -pipe -o out/conft=
est2.o  conftest.f >&5
| configure:20567: $? =3D 0
| configure:20589: result: yes
| configure:20594: checking if x86_64-pc-linux-gnu-gfortran supports -c -=
o file.o
| configure:20641: result: yes
| configure:20671: checking whether the x86_64-pc-linux-gnu-gfortran link=
er (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared librar=
ies
| configure:21779: result: yes
| configure:21922: checking dynamic linker characteristics
| configure:22599: result: GNU/Linux ld.so
| configure:22652: checking how to hardcode library paths into programs
| configure:22677: result: immediate
| configure:22713: checking for x86_64-pc-linux-gnu-gcj
| configure:22729: found /usr/bin/x86_64-pc-linux-gnu-gcj
| configure:22740: result: x86_64-pc-linux-gnu-gcj
| configure:22894: checking if x86_64-pc-linux-gnu-gcj supports -fno-rtti=
 -fno-exceptions
| configure:22929: result: no
| configure:23236: checking for x86_64-pc-linux-gnu-gcj option to produce=
 PIC
| configure:23243: result: -fPIC
| configure:23251: checking if x86_64-pc-linux-gnu-gcj PIC flag -fPIC wor=
ks
| configure:23269: x86_64-pc-linux-gnu-gcj -c -g -O2  -fPIC conftest.java=
 >&5
| configure:23273: $? =3D 0
| configure:23286: result: yes
| configure:23309: checking if x86_64-pc-linux-gnu-gcj static flag -stati=
c works
| configure:23337: result: no
| configure:23349: checking if x86_64-pc-linux-gnu-gcj supports -c -o fil=
e.o
| configure:23370: x86_64-pc-linux-gnu-gcj -c -g -O2  -o out/conftest2.o =
conftest.java >&5
| configure:23374: $? =3D 0
| configure:23396: result: yes
| configure:23401: checking if x86_64-pc-linux-gnu-gcj supports -c -o fil=
e.o
| configure:23448: result: yes
| configure:23478: checking whether the x86_64-pc-linux-gnu-gcj linker (/=
usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries
| configure:24597: result: yes
| configure:24740: checking how to hardcode library paths into programs
| configure:24765: result: immediate
| configure:24800: checking for x86_64-pc-linux-gnu-windres
| configure:24830: result: no
| configure:24840: checking for windres
| configure:24870: result: no
| configure:25023: checking whether make supports order-only prerequisite=
s
| configure:25047: result: yes
| configure:25231: creating ./config.status
|=20
| ## ---------------------- ##
| ## Running config.status. ##
| ## ---------------------- ##
|=20
| This file was extended by GNU Libtool config.status 2.4, which was
| generated by GNU Autoconf 2.68.  Invocation command line was
|=20
|   CONFIG_FILES    =3D=20
|   CONFIG_HEADERS  =3D=20
|   CONFIG_LINKS    =3D=20
|   CONFIG_COMMANDS =3D=20
|   $ ./config.status=20
|=20
| on MG
|=20
| config.status:1446: creating Makefile
| config.status:1446: creating config.h
| config.status:1675: executing tests/atconfig commands
| config.status:1675: executing depfiles commands
| config.status:1675: executing libtool commands
|=20
| ## ---------------- ##
| ## Cache variables. ##
| ## ---------------- ##
|=20
| ac_cv_build=3Dx86_64-pc-linux-gnu
| ac_cv_c_compiler_gnu=3Dyes
| ac_cv_cxx_compiler_gnu=3Dyes
| ac_cv_env_CCC_set=3D
| ac_cv_env_CCC_value=3D
| ac_cv_env_CC_set=3D
| ac_cv_env_CC_value=3D
| ac_cv_env_CFLAGS_set=3Dset
| ac_cv_env_CFLAGS_value=3D'-O2 -pipe'
| ac_cv_env_CPPFLAGS_set=3D
| ac_cv_env_CPPFLAGS_value=3D
| ac_cv_env_CPP_set=3D
| ac_cv_env_CPP_value=3D
| ac_cv_env_CXXCPP_set=3D
| ac_cv_env_CXXCPP_value=3D
| ac_cv_env_CXXFLAGS_set=3Dset
| ac_cv_env_CXXFLAGS_value=3D'-O2 -pipe'
| ac_cv_env_CXX_set=3D
| ac_cv_env_CXX_value=3D
| ac_cv_env_F77_set=3D
| ac_cv_env_F77_value=3D
| ac_cv_env_FCFLAGS_set=3Dset
| ac_cv_env_FCFLAGS_value=3D'-O2 -pipe'
| ac_cv_env_FC_set=3D
| ac_cv_env_FC_value=3D
| ac_cv_env_FFLAGS_set=3Dset
| ac_cv_env_FFLAGS_value=3D'-O2 -pipe'
| ac_cv_env_LDFLAGS_set=3Dset
| ac_cv_env_LDFLAGS_value=3D'-Wl,-O1 -Wl,--as-needed'
| ac_cv_env_LIBS_set=3D
| ac_cv_env_LIBS_value=3D
| ac_cv_env_build_alias_set=3Dset
| ac_cv_env_build_alias_value=3Dx86_64-pc-linux-gnu
| ac_cv_env_host_alias_set=3Dset
| ac_cv_env_host_alias_value=3Dx86_64-pc-linux-gnu
| ac_cv_env_target_alias_set=3D
| ac_cv_env_target_alias_value=3D
| ac_cv_f77_compiler_gnu=3Dyes
| ac_cv_fc_compiler_gnu=3Dyes
| ac_cv_func_argz_add=3Dyes
| ac_cv_func_argz_append=3Dyes
| ac_cv_func_argz_count=3Dyes
| ac_cv_func_argz_create_sep=3Dyes
| ac_cv_func_argz_insert=3Dyes
| ac_cv_func_argz_next=3Dyes
| ac_cv_func_argz_stringify=3Dyes
| ac_cv_func_closedir=3Dyes
| ac_cv_func_dlerror=3Dyes
| ac_cv_func_dlopen=3Dno
| ac_cv_func_opendir=3Dyes
| ac_cv_func_readdir=3Dyes
| ac_cv_func_shl_load=3Dno
| ac_cv_func_strlcat=3Dno
| ac_cv_func_strlcpy=3Dno
| ac_cv_header_argz_h=3Dyes
| ac_cv_header_dirent_h=3Dyes
| ac_cv_header_dl_h=3Dno
| ac_cv_header_dld_h=3Dno
| ac_cv_header_dlfcn_h=3Dyes
| ac_cv_header_inttypes_h=3Dyes
| ac_cv_header_mach_o_dyld_h=3Dno
| ac_cv_header_memory_h=3Dyes
| ac_cv_header_stdc=3Dyes
| ac_cv_header_stdint_h=3Dyes
| ac_cv_header_stdlib_h=3Dyes
| ac_cv_header_string_h=3Dyes
| ac_cv_header_strings_h=3Dyes
| ac_cv_header_sys_dl_h=3Dno
| ac_cv_header_sys_stat_h=3Dyes
| ac_cv_header_sys_types_h=3Dyes
| ac_cv_header_unistd_h=3Dyes
| ac_cv_host=3Dx86_64-pc-linux-gnu
| ac_cv_lib_dl_dlopen=3Dyes
| ac_cv_lib_dld_dld_link=3Dno
| ac_cv_lib_dld_shl_load=3Dno
| ac_cv_objext=3Do
| ac_cv_path_EGREP=3D'/bin/grep -E'
| ac_cv_path_FGREP=3D'/bin/grep -F'
| ac_cv_path_GREP=3D/bin/grep
| ac_cv_path_SED=3D/bin/sed
| ac_cv_path_install=3D'/usr/bin/install -c'
| ac_cv_path_mkdir=3D/bin/mkdir
| ac_cv_prog_AR=3Dx86_64-pc-linux-gnu-ar
| ac_cv_prog_AWK=3Dgawk
| ac_cv_prog_CC=3Dx86_64-pc-linux-gnu-gcc
| ac_cv_prog_CPP=3D'x86_64-pc-linux-gnu-gcc -E'
| ac_cv_prog_CXX=3Dx86_64-pc-linux-gnu-g++
| ac_cv_prog_CXXCPP=3D'x86_64-pc-linux-gnu-g++ -E'
| ac_cv_prog_F77=3Dx86_64-pc-linux-gnu-gfortran
| ac_cv_prog_FC=3Dx86_64-pc-linux-gnu-gfortran
| ac_cv_prog_GCJ=3Dx86_64-pc-linux-gnu-gcj
| ac_cv_prog_OBJDUMP=3Dx86_64-pc-linux-gnu-objdump
| ac_cv_prog_RANLIB=3Dx86_64-pc-linux-gnu-ranlib
| ac_cv_prog_STRIP=3Dx86_64-pc-linux-gnu-strip
| ac_cv_prog_cc_c89=3D
| ac_cv_prog_cc_g=3Dyes
| ac_cv_prog_cc_x86_64_pc_linux_gnu_gcc_c_o=3Dyes
| ac_cv_prog_cxx_g=3Dyes
| ac_cv_prog_f77_g=3Dyes
| ac_cv_prog_fc_g=3Dyes
| ac_cv_prog_make_make_set=3Dyes
| ac_cv_search_dlopen=3D-ldl
| ac_cv_type_error_t=3Dyes
| am_cv_CC_dependencies_compiler_type=3Dgcc3
| am_cv_CXX_dependencies_compiler_type=3Dgcc3
| libltdl_cv_lib_dl_dlopen=3Dyes
| libltdl_cv_preloaded_symbols=3Dyes
| libltdl_cv_shlibext=3D.so
| lt_cv_ar_at_file=3D@
| lt_cv_archive_cmds_need_lc=3Dno
| lt_cv_deplibs_check_method=3Dpass_all
| lt_cv_dlopen=3Ddlopen
| lt_cv_dlopen_libs=3D-ldl
| lt_cv_dlopen_self=3Dyes
| lt_cv_dlopen_self_static=3Dno
| lt_cv_file_magic_cmd=3D'$MAGIC_CMD'
| lt_cv_file_magic_test_file=3D
| lt_cv_ld_reload_flag=3D-r
| lt_cv_make_order_only=3Dyes
| lt_cv_module_path_var=3DLD_LIBRARY_PATH
| lt_cv_nm_interface=3D'BSD nm'
| lt_cv_objdir=3D.libs
| lt_cv_path_LD=3D/usr/x86_64-pc-linux-gnu/bin/ld
| lt_cv_path_LDCXX=3D'/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64'
| lt_cv_path_NM=3D'/usr/bin/nm -B'
| lt_cv_path_mainfest_tool=3Dno
| lt_cv_prog_compiler_c_o=3Dyes
| lt_cv_prog_compiler_c_o_CXX=3Dyes
| lt_cv_prog_compiler_c_o_F77=3Dyes
| lt_cv_prog_compiler_c_o_FC=3Dyes
| lt_cv_prog_compiler_c_o_GCJ=3Dyes
| lt_cv_prog_compiler_c_o_RC=3Dyes
| lt_cv_prog_compiler_pic=3D'-fPIC -DPIC'
| lt_cv_prog_compiler_pic_CXX=3D'-fPIC -DPIC'
| lt_cv_prog_compiler_pic_F77=3D-fPIC
| lt_cv_prog_compiler_pic_FC=3D-fPIC
| lt_cv_prog_compiler_pic_GCJ=3D-fPIC
| lt_cv_prog_compiler_pic_works=3Dyes
| lt_cv_prog_compiler_pic_works_CXX=3Dyes
| lt_cv_prog_compiler_pic_works_F77=3Dyes
| lt_cv_prog_compiler_pic_works_FC=3Dyes
| lt_cv_prog_compiler_pic_works_GCJ=3Dyes
| lt_cv_prog_compiler_rtti_exceptions=3Dno
| lt_cv_prog_compiler_static_works=3Dyes
| lt_cv_prog_compiler_static_works_CXX=3Dyes
| lt_cv_prog_compiler_static_works_F77=3Dyes
| lt_cv_prog_compiler_static_works_FC=3Dyes
| lt_cv_prog_compiler_static_works_GCJ=3Dno
| lt_cv_prog_gnu_ld=3Dyes
| lt_cv_prog_gnu_ldcxx=3Dyes
| lt_cv_sharedlib_from_linklib_cmd=3D'printf %s\n'
| lt_cv_shlibpath_overrides_runpath=3Dyes
| lt_cv_sys_argz_works=3Dyes
| lt_cv_sys_dlopen_deplibs=3Dyes
| lt_cv_sys_dlsearch_path=3D'/lib /usr/lib /lib64 /usr/lib64 /usr/local/l=
ib64 /lib32 /usr/lib32 /usr/local/lib32 /lib /usr/lib /usr/local/lib /usr=
/x86_64-pc-linux-gnu/lib /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32 /usr/l=
ib/gcc/x86_64-pc-linux-gnu/4.5.3 /usr/lib32/opengl/xorg-x11/lib /usr/lib6=
4/opengl/xorg-x11/lib /usr/lib64/qt4 /usr/lib32/qt4 /usr/lib/qt4 '
| lt_cv_sys_global_symbol_pipe=3D'sed -n -e '\''s/^.*[	 ]\([ABCDGIRSTW][A=
BCDGIRSTW]*\)[	 ][	 ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p'\'' | sed '\=
''/ __gnu_lto/d'\'''
| lt_cv_sys_global_symbol_to_c_name_address=3D'sed -n -e '\''s/^: \([^ ]*=
\)[ ]*$/  {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \=
([^ ]*\)$/  {"\2", (void *) \&\2},/p'\'''
| lt_cv_sys_global_symbol_to_c_name_address_lib_prefix=3D'sed -n -e '\''s=
/^: \([^ ]*\)[ ]*$/  {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* =
\([^ ]*\) \(lib[^ ]*\)$/  {"\2", (void *) \&\2},/p'\'' -e '\''s/^[ABCDGIR=
STW]* \([^ ]*\) \([^ ]*\)$/  {"lib\2", (void *) \&\2},/p'\'''
| lt_cv_sys_global_symbol_to_cdecl=3D'sed -n -e '\''s/^T .* \(.*\)$/exter=
n int \1();/p'\'' -e '\''s/^[ABCDGIRSTW]* .* \(.*\)$/extern char \1;/p'\'=
''
| lt_cv_sys_max_cmd_len=3D1572864
| lt_cv_sys_symbol_underscore=3Dno
| lt_cv_to_host_file_cmd=3Dfunc_convert_file_noop
| lt_cv_to_tool_file_cmd=3Dfunc_convert_file_noop
|=20
| ## ----------------- ##
| ## Output variables. ##
| ## ----------------- ##
|=20
| ACLOCAL=3D'${SHELL} /var/tmp/portage/sys-devel/libtool-2.4-r1/work/libt=
ool-2.4/libltdl/config/missing --run aclocal-1.11'
| AMDEPBACKSLASH=3D'\'
| AMDEP_FALSE=3D'#'
| AMDEP_TRUE=3D''
| AMTAR=3D'$${TAR-tar}'
| AR=3D'x86_64-pc-linux-gnu-ar'
| ARGZ_H=3D''
| AS=3D'as'
| AUTOCONF=3D'${SHELL} /var/tmp/portage/sys-devel/libtool-2.4-r1/work/lib=
tool-2.4/libltdl/config/missing --run autoconf'
| AUTOHEADER=3D'${SHELL} /var/tmp/portage/sys-devel/libtool-2.4-r1/work/l=
ibtool-2.4/libltdl/config/missing --run autoheader'
| AUTOM4TE=3D'autom4te'
| AUTOMAKE=3D'${SHELL} /var/tmp/portage/sys-devel/libtool-2.4-r1/work/lib=
tool-2.4/libltdl/config/missing --run automake-1.11'
| AUTOTEST=3D'$(AUTOM4TE) --language=3Dautotest'
| AWK=3D'gawk'
| CC=3D'x86_64-pc-linux-gnu-gcc'
| CCDEPMODE=3D'depmode=3Dgcc3'
| CFLAGS=3D'-O2 -pipe'
| CONFIG_STATUS_DEPENDENCIES=3D'$(top_srcdir)/ChangeLog'
| CONF_SUBDIRS=3D'tests/cdemo tests/demo tests/depdemo tests/f77demo test=
s/fcdemo 	tests/mdemo tests/mdemo2 tests/pdemo tests/tagdemo'
| CONVENIENCE_LTDL_FALSE=3D''
| CONVENIENCE_LTDL_TRUE=3D'#'
| CPP=3D'x86_64-pc-linux-gnu-gcc -E'
| CPPFLAGS=3D''
| CXX=3D'x86_64-pc-linux-gnu-g++'
| CXXCPP=3D'x86_64-pc-linux-gnu-g++ -E'
| CXXDEPMODE=3D'depmode=3Dgcc3'
| CXXFLAGS=3D'-O2 -pipe'
| CYGPATH_W=3D'echo'
| DEFS=3D'-DHAVE_CONFIG_H'
| DEPDIR=3D'.deps'
| DIST_MAKEFILE_LIST=3D'tests/cdemo/Makefile tests/demo/Makefile tests/de=
pdemo/Makefile tests/f77demo/Makefile tests/fcdemo/Makefile tests/mdemo/M=
akefile tests/mdemo2/Makefile tests/pdemo/Makefile tests/tagdemo/Makefile=
 '
| DLLTOOL=3D'false'
| DSYMUTIL=3D''
| DUMPBIN=3D''
| ECHO_C=3D''
| ECHO_N=3D'-n'
| ECHO_T=3D''
| EGREP=3D'/bin/grep -E'
| EXEEXT=3D''
| F77=3D'x86_64-pc-linux-gnu-gfortran'
| FC=3D'x86_64-pc-linux-gnu-gfortran'
| FCFLAGS=3D'-O2 -pipe'
| FFLAGS=3D'-O2 -pipe'
| FGREP=3D'/bin/grep -F'
| GCJ=3D'x86_64-pc-linux-gnu-gcj'
| GCJFLAGS=3D'-g -O2'
| GREP=3D'/bin/grep'
| HAVE_CXX_FALSE=3D'#'
| HAVE_CXX_TRUE=3D''
| HAVE_F77_FALSE=3D'#'
| HAVE_F77_TRUE=3D''
| HAVE_FC_FALSE=3D'#'
| HAVE_FC_TRUE=3D''
| HAVE_GCJ_FALSE=3D'#'
| HAVE_GCJ_TRUE=3D''
| HAVE_RC_FALSE=3D''
| HAVE_RC_TRUE=3D'#'
| HELP2MAN=3D'${SHELL} /var/tmp/portage/sys-devel/libtool-2.4-r1/work/lib=
tool-2.4/libltdl/config/missing --run help2man'
| INSTALL_DATA=3D'${INSTALL} -m 644'
| INSTALL_LTDL_FALSE=3D'#'
| INSTALL_LTDL_TRUE=3D''
| INSTALL_PROGRAM=3D'${INSTALL}'
| INSTALL_SCRIPT=3D'${INSTALL}'
| INSTALL_STRIP_PROGRAM=3D'$(install_sh) -c -s'
| LASTRELEASE=3D''
| LD=3D'/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64'
| LDFLAGS=3D'-Wl,-O1 -Wl,--as-needed'
| LIBADD_DL=3D'-ldl '
| LIBADD_DLD_LINK=3D''
| LIBADD_DLOPEN=3D'-ldl'
| LIBADD_SHL_LOAD=3D''
| LIBOBJS=3D' ${LIBOBJDIR}lt__strl$U.o'
| LIBS=3D'-ldl '
| LIBTOOL=3D'$(SHELL) $(top_builddir)/libtool'
| LIPO=3D''
| LN_S=3D'ln -s'
| LTDLOPEN=3D'libltdl'
| LTLIBOBJS=3D' ${LIBOBJDIR}lt__strl$U.lo'
| LT_CONFIG_H=3D'config.h'
| LT_DLLOADERS=3D' libltdl/dlopen.la'
| LT_DLPREOPEN=3D'-dlpreopen libltdl/dlopen.la '
| M4SH=3D'$(AUTOM4TE) --language=3Dm4sh'
| MAKEINFO=3D'${SHELL} /var/tmp/portage/sys-devel/libtool-2.4-r1/work/lib=
tool-2.4/libltdl/config/missing --run makeinfo'
| MANIFEST_TOOL=3D':'
| MKDIR_P=3D'/bin/mkdir -p'
| NM=3D'/usr/bin/nm -B'
| NMEDIT=3D''
| OBJDUMP=3D'x86_64-pc-linux-gnu-objdump'
| OBJEXT=3D'o'
| ORDER=3D'|'
| OTOOL64=3D''
| OTOOL=3D''
| PACKAGE=3D'libtool'
| PACKAGE_BUGREPORT=3D'bug-libtool@HIDDEN'
| PACKAGE_NAME=3D'GNU Libtool'
| PACKAGE_STRING=3D'GNU Libtool 2.4'
| PACKAGE_TARNAME=3D'libtool'
| PACKAGE_URL=3D'http://www.gnu.org/software/libtool/'
| PACKAGE_VERSION=3D'2.4'
| PATH_SEPARATOR=3D':'
| RANLIB=3D'x86_64-pc-linux-gnu-ranlib'
| RC=3D''
| SED=3D'/bin/sed'
| SET_MAKE=3D''
| SHELL=3D'/bin/bash'
| STRIP=3D'x86_64-pc-linux-gnu-strip'
| TIMESTAMP=3D''
| VERSION=3D'2.4'
| ac_ct_AR=3D''
| ac_ct_CC=3D''
| ac_ct_CXX=3D''
| ac_ct_DUMPBIN=3D''
| ac_ct_F77=3D''
| ac_ct_FC=3D''
| aclocaldir=3D'${datadir}/aclocal'
| am__EXEEXT_FALSE=3D''
| am__EXEEXT_TRUE=3D'#'
| am__fastdepCC_FALSE=3D'#'
| am__fastdepCC_TRUE=3D''
| am__fastdepCXX_FALSE=3D'#'
| am__fastdepCXX_TRUE=3D''
| am__include=3D'include'
| am__isrc=3D''
| am__leading_dot=3D'.'
| am__nodep=3D'_no'
| am__quote=3D''
| am__tar=3D'$${TAR-tar} chof - "$$tardir"'
| am__untar=3D'$${TAR-tar} xf -'
| bindir=3D'${exec_prefix}/bin'
| build=3D'x86_64-pc-linux-gnu'
| build_alias=3D'x86_64-pc-linux-gnu'
| build_cpu=3D'x86_64'
| build_os=3D'linux-gnu'
| build_vendor=3D'pc'
| datadir=3D'/usr/share'
| datarootdir=3D'${prefix}/share'
| docdir=3D'${datarootdir}/doc/${PACKAGE_TARNAME}'
| dvidir=3D'${docdir}'
| exec_prefix=3D'${prefix}'
| host=3D'x86_64-pc-linux-gnu'
| host_alias=3D'x86_64-pc-linux-gnu'
| host_cpu=3D'x86_64'
| host_os=3D'linux-gnu'
| host_vendor=3D'pc'
| htmldir=3D'${docdir}'
| includedir=3D'${prefix}/include'
| infodir=3D'/usr/share/info'
| install_sh=3D'${SHELL} /var/tmp/portage/sys-devel/libtool-2.4-r1/work/l=
ibtool-2.4/libltdl/config/install-sh'
| libdir=3D'/usr/lib64'
| libexecdir=3D'${exec_prefix}/libexec'
| localedir=3D'${datarootdir}/locale'
| localstatedir=3D'/var/lib'
| mandir=3D'/usr/share/man'
| mkdir_p=3D'/bin/mkdir -p'
| oldincludedir=3D'/usr/include'
| package_revision=3D'1.3293'
| pdfdir=3D'${docdir}'
| pkgdatadir=3D'${datadir}/libtool'
| prefix=3D'/usr'
| program_transform_name=3D's,x,x,'
| psdir=3D'${docdir}'
| sbindir=3D'${exec_prefix}/sbin'
| sharedstatedir=3D'${prefix}/com'
| sys_symbol_underscore=3D'no'
| sysconfdir=3D'/etc'
| target_alias=3D''
| to_host_file_cmd=3D'func_convert_file_noop'
| to_tool_file_cmd=3D'func_convert_file_noop'
|=20
| ## ----------- ##
| ## confdefs.h. ##
| ## ----------- ##
|=20
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Libtool"
| #define PACKAGE_TARNAME "libtool"
| #define PACKAGE_VERSION "2.4"
| #define PACKAGE_STRING "GNU Libtool 2.4"
| #define PACKAGE_BUGREPORT "bug-libtool@HIDDEN"
| #define PACKAGE_URL "http://www.gnu.org/software/libtool/"
| #define PACKAGE "libtool"
| #define VERSION "2.4"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| #define LT_MODULE_EXT ".so"
| #define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"
| #define LT_DLSEARCH_PATH "/lib:/usr/lib:/lib64:/usr/lib64:/usr/local/li=
b64:/lib32:/usr/lib32:/usr/local/lib32:/lib:/usr/lib:/usr/local/lib:/usr/=
x86_64-pc-linux-gnu/lib:/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/32:/usr/li=
b/gcc/x86_64-pc-linux-gnu/4.5.3:/usr/lib32/opengl/xorg-x11/lib:/usr/lib64=
/opengl/xorg-x11/lib:/usr/lib64/qt4:/usr/lib32/qt4:/usr/lib/qt4"
| #define HAVE_LIBDL 1
| #define HAVE_DLERROR 1
| #define HAVE_LIBDLLOADER 1
| #define HAVE_ARGZ_H 1
| #define HAVE_ERROR_T 1
| #define HAVE_ARGZ_ADD 1
| #define HAVE_ARGZ_APPEND 1
| #define HAVE_ARGZ_COUNT 1
| #define HAVE_ARGZ_CREATE_SEP 1
| #define HAVE_ARGZ_INSERT 1
| #define HAVE_ARGZ_NEXT 1
| #define HAVE_ARGZ_STRINGIFY 1
| #define HAVE_WORKING_ARGZ 1
| #define HAVE_PRELOADED_SYMBOLS 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DIRENT_H 1
| #define HAVE_CLOSEDIR 1
| #define HAVE_OPENDIR 1
| #define HAVE_READDIR 1
| #define LT_LIBEXT "a"
| #define LT_LIBPREFIX "lib"
|=20
| configure: exit 0
|=20
| ## ---------------------- ##
| ## Running config.status. ##
| ## ---------------------- ##
|=20
| This file was extended by GNU Libtool config.status 2.4, which was
| generated by GNU Autoconf 2.68.  Invocation command line was
|=20
|   CONFIG_FILES    =3D=20
|   CONFIG_HEADERS  =3D=20
|   CONFIG_LINKS    =3D=20
|   CONFIG_COMMANDS =3D=20
|   $ ./config.status config.h
|=20
| on MG
|=20
| config.status:1446: creating config.h
| config.status:1627: config.h is unchanged

------=_20120818105608_78398
Content-Type: text/x-log; name="build.log"
Content-Disposition: attachment; filename="build.log"
Content-Transfer-Encoding: quoted-printable

 * Package:    sys-devel/libtool-2.4-r1
 * Repository: gentoo
 * Maintainer: base-system@HIDDEN
 * USE:        amd64 elibc_glibc kernel_linux multilib test userland_GNU
 * FEATURES:   sandbox test
>>> Unpacking source...
>>> Unpacking ./libtool-2.4.tar to /var/tmp/portage/sys-devel/libtool-2.4=
-r1/work
>>> Source unpacked in /var/tmp/portage/sys-devel/libtool-2.4-r1/work
>>> Preparing source in /var/tmp/portage/sys-devel/libtool-2.4-r1/work/li=
btool-2.4 ...
 * Applying libtool-1.5.20-use-linux-version-in-fbsd.patch ...
 [ ok ]
 * Running eautoreconf in '/var/tmp/portage/sys-devel/libtool-2.4-r1/work=
/libtool-2.4/libltdl' ...
 * Running true --install --copy --force --automake ...
 [ ok ]
 * Running aclocal -I m4 ...
 [ ok ]
 * Running autoconf ...
 [ ok ]
 * Running autoheader ...
 [ ok ]
 * Running automake --add-missing --copy --foreign ...
 [ ok ]
 * Running eautoreconf in '/var/tmp/portage/sys-devel/libtool-2.4-r1/work=
/libtool-2.4' ...
 * Running true --install --copy --force --automake ...
 [ ok ]
 * Running aclocal -I libltdl/m4 ...
 [ ok ]
 * Running autoconf ...
 [ ok ]
 * Running autoheader ...
 [ ok ]
 * Running automake --add-missing --copy ...
 [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sys-devel/libtool-2.4-r1/work/=
libtool-2.4 ...
 * econf: updating libtool-2.4/libltdl/config/config.guess with /usr/shar=
e/gnuconfig/config.guess
 * econf: updating libtool-2.4/libltdl/config/config.sub with /usr/share/=
gnuconfig/config.sub
/configure --prefix=3D/usr --build=3Dx86_64-pc-linux-gnu --host=3Dx86_64-=
pc-linux-gnu --mandir=3D/usr/share/man --infodir=3D/usr/share/info --data=
dir=3D/usr/share --sysconfdir=3D/etc --localstatedir=3D/var/lib --libdir=3D=
/usr/lib64
## ----------------------- ##
## Configuring libtool 2.4 ##
## ----------------------- ##

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
configure: autobuild project... GNU Libtool
configure: autobuild revision... 2.4 ()
configure: autobuild hostname... MG
configure: autobuild mode... default
configure: autobuild timestamp... 20120818T084525Z
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...=20
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none nee=
ded
checking for style of include used by make... GNU
checking dependency style of x86_64-pc-linux-gnu-gcc... gcc3
checking whether x86_64-pc-linux-gnu-gcc and cc understand -c and -o toge=
ther... yes
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-g=
nu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+=3D"... yes
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux=
-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain forma=
t... func_convert_file_noop
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object file=
s... -r
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking command to parse /usr/bin/nm -B output from x86_64-pc-linux-gnu-=
gcc object... ok
checking for sysroot... no
checking for x86_64-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions...=
 no
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux=
-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for shl_load... no
checking for shl_load in -ldld... no
checking for dlopen... no
checking for dlopen in -ldl... yes
checking whether a program can dlopen itself... yes
checking whether a statically linked program can dlopen itself... no
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking which extension is used for runtime loadable modules... .so
checking which variable specifies run-time module search path... LD_LIBRA=
RY_PATH
checking for the default library search path... /lib /usr/lib /lib64 /usr=
/lib64 /usr/local/lib64 /lib32 /usr/lib32 /usr/local/lib32 /lib /usr/lib =
/usr/local/lib /usr/x86_64-pc-linux-gnu/lib /usr/lib/gcc/x86_64-pc-linux-=
gnu/4.5.3/32 /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3 /usr/lib32/opengl/xor=
g-x11/lib /usr/lib64/opengl/xorg-x11/lib /usr/lib64/qt4 /usr/lib32/qt4 /u=
sr/lib/qt4=20
checking for library containing dlopen... -ldl
checking for dlerror... yes
checking for shl_load... (cached) no
checking for shl_load in -ldld... (cached) no
checking for dld_link in -ldld... no
checking for _ prefix in compiled symbols... no
checking whether deplibs are loaded by dlopen... yes
checking for argz.h... yes
checking for error_t... yes
checking for argz_add... yes
checking for argz_append... yes
checking for argz_count... yes
checking for argz_create_sep... yes
checking for argz_insert... yes
checking for argz_next... yes
checking for argz_stringify... yes
checking if argz actually works... yes
checking whether libtool supports -dlopen/-dlpreopen... yes
checking for unistd.h... (cached) yes
checking for dl.h... no
checking for sys/dl.h... no
checking for dld.h... no
checking for mach-o/dyld.h... no
checking for dirent.h... yes
checking for closedir... yes
checking for opendir... yes
checking for readdir... yes
checking for strlcat... no
checking for strlcpy... no
checking for x86_64-pc-linux-gnu-g++... x86_64-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... yes
checking whether x86_64-pc-linux-gnu-g++ accepts -g... yes
checking dependency style of x86_64-pc-linux-gnu-g++... gcc3
checking how to run the C++ preprocessor... x86_64-pc-linux-gnu-g++ -E
checking for ld used by x86_64-pc-linux-gnu-g++... /usr/x86_64-pc-linux-g=
nu/bin/ld -m elf_x86_64
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) is=
 GNU ld... yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux=
-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking for x86_64-pc-linux-gnu-g++ option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-g++ PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-g++ static flag -static works... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux=
-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for x86_64-pc-linux-gnu-g77... no
checking for x86_64-pc-linux-gnu-xlf... no
checking for x86_64-pc-linux-gnu-f77... no
checking for x86_64-pc-linux-gnu-frt... no
checking for x86_64-pc-linux-gnu-pgf77... no
checking for x86_64-pc-linux-gnu-cf77... no
checking for x86_64-pc-linux-gnu-fort77... no
checking for x86_64-pc-linux-gnu-fl32... no
checking for x86_64-pc-linux-gnu-af77... no
checking for x86_64-pc-linux-gnu-xlf90... no
checking for x86_64-pc-linux-gnu-f90... no
checking for x86_64-pc-linux-gnu-pgf90... no
checking for x86_64-pc-linux-gnu-pghpf... no
checking for x86_64-pc-linux-gnu-epcf90... no
checking for x86_64-pc-linux-gnu-gfortran... x86_64-pc-linux-gnu-gfortran
checking whether we are using the GNU Fortran 77 compiler... yes
checking whether x86_64-pc-linux-gnu-gfortran accepts -g... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for x86_64-pc-linux-gnu-gfortran option to produce PIC... -fPIC
checking if x86_64-pc-linux-gnu-gfortran PIC flag -fPIC works... yes
checking if x86_64-pc-linux-gnu-gfortran static flag -static works... yes
checking if x86_64-pc-linux-gnu-gfortran supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gfortran supports -c -o file.o... (cached=
) yes
checking whether the x86_64-pc-linux-gnu-gfortran linker (/usr/x86_64-pc-=
linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for x86_64-pc-linux-gnu-gfortran... x86_64-pc-linux-gnu-gfortran
checking whether we are using the GNU Fortran compiler... yes
checking whether x86_64-pc-linux-gnu-gfortran accepts -g... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for x86_64-pc-linux-gnu-gfortran option to produce PIC... -fPIC
checking if x86_64-pc-linux-gnu-gfortran PIC flag -fPIC works... yes
checking if x86_64-pc-linux-gnu-gfortran static flag -static works... yes
checking if x86_64-pc-linux-gnu-gfortran supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gfortran supports -c -o file.o... (cached=
) yes
checking whether the x86_64-pc-linux-gnu-gfortran linker (/usr/x86_64-pc-=
linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for x86_64-pc-linux-gnu-gcj... x86_64-pc-linux-gnu-gcj
checking if x86_64-pc-linux-gnu-gcj supports -fno-rtti -fno-exceptions...=
 (cached) no
checking for x86_64-pc-linux-gnu-gcj option to produce PIC... -fPIC
checking if x86_64-pc-linux-gnu-gcj PIC flag -fPIC works... yes
checking if x86_64-pc-linux-gnu-gcj static flag -static works... no
checking if x86_64-pc-linux-gnu-gcj supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcj supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcj linker (/usr/x86_64-pc-linux=
-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking how to hardcode library paths into programs... immediate
checking for x86_64-pc-linux-gnu-windres... no
checking for windres... no
checking whether make supports order-only prerequisites... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing tests/atconfig commands
config.status: executing depfiles commands
config.status: executing libtool commands
>>> Source configured.
>>> Compiling source in /var/tmp/portage/sys-devel/libtool-2.4-r1/work/li=
btool-2.4 ...
make --jobs=3D6 --load-average=3D4=20
rm -f libtoolize.tmp libtoolize
(CDPATH=3D"${ZSH_VERSION+.}:" && cd . && /bin/bash /var/tmp/portage/sys-d=
evel/libtool-2.4-r1/work/libtool-2.4/libltdl/config/missing --run autohea=
der)
set dummy `/bin/bash ./libltdl/config/mkstamp .`; shift; case 2.4 in *[ac=
egikmoqsuwy]) TIMESTAMP=3D" $1 $2" ;; *) TIMESTAMP=3D"" ;; esac; \
sed -e 's,@EGREP\@,/bin/grep -E,g' -e 's,@FGREP\@,/bin/grep -F,g' -e 's,@=
GREP\@,/bin/grep,g' -e 's,@LN_S\@,ln -s,g' -e 's,@MACRO_VERSION\@,2.4,g' =
-e 's,@PACKAGE\@,libtool,g' -e 's,@PACKAGE_BUGREPORT\@,bug-libtool@HIDDEN=
g,g' -e 's,@PACKAGE_URL\@,http://www.gnu.org/software/libtool/,g' -e 's,@=
PACKAGE_NAME\@,GNU Libtool,g' -e 's,@PACKAGE_STRING\@,GNU Libtool 2.4,g' =
-e 's,@PACKAGE_TARNAME\@,libtool,g' -e 's,@PACKAGE_VERSION\@,2.4,g' -e 's=
,@SED\@,/bin/sed,g' -e 's,@VERSION\@,2.4,g' -e 's,@aclocaldir\@,/usr/shar=
e/aclocal,g' -e 's,@datadir\@,/usr/share,g' -e 's,@pkgdatadir\@,/usr/shar=
e/libtool,g' -e 's,@host_triplet\@,x86_64-pc-linux-gnu,g' -e 's,@prefix\@=
,/usr,g' -e "s,@TIMESTAMP\@,$TIMESTAMP,g" \
	-e 's,@aclocal_DATA\@,m4/argz.m4 m4/libtool.m4 m4/ltdl.m4 m4/ltoptions.m=
4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4,g' \
	-e "s,@pkgltdl_files\@,libltdl/COPYING.LIB libltdl/README libltdl/Makefi=
le.inc libltdl/Makefile.am libltdl/configure.ac libltdl/aclocal.m4 libltd=
l/Makefile.in libltdl/config-h.in libltdl/configure libltdl/argz_.h liblt=
dl/argz.c libltdl/loaders/dld_link.c libltdl/loaders/dlopen.c libltdl/loa=
ders/dyld.c libltdl/loaders/load_add_on.c libltdl/loaders/loadlibrary.c l=
ibltdl/loaders/shl_load.c libltdl/lt__dirent.c libltdl/lt__strl.c libltdl=
/libltdl/lt__alloc.h libltdl/libltdl/lt__dirent.h libltdl/libltdl/lt__gli=
bc.h libltdl/libltdl/lt__private.h libltdl/libltdl/lt__strl.h libltdl/lib=
ltdl/lt_dlloader.h libltdl/libltdl/lt_error.h libltdl/libltdl/lt_system.h=
 libltdl/libltdl/slist.h libltdl/loaders/preopen.c libltdl/lt__alloc.c li=
bltdl/lt_dlloader.c libltdl/lt_error.c libltdl/ltdl.c libltdl/ltdl.h libl=
tdl/slist.c,g" \
	-e "s,@pkgconfig_files\@,config/compile config/config.guess config/confi=
g.sub config/depcomp config/install-sh config/missing config/ltmain.sh,g"=
 \
	./libtoolize.in > libtoolize.tmp
chmod a+x libtoolize.tmp
chmod a-w libtoolize.tmp
mv -f libtoolize.tmp libtoolize
rm -f stamp-h1
touch config-h.in
cd . && /bin/bash ./config.status config.h
config.status: creating config.h
config.status: config.h is unchanged
make  all-recursive
make[1]: Entering directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wo=
rk/libtool-2.4'
make[2]: Entering directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wo=
rk/libtool-2.4'
test -f doc/.dirstamp || make  doc/.dirstamp
make[3]: Entering directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wo=
rk/libtool-2.4'
depbase=3D`echo libltdl/lt__strl.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;=
\
/bin/bash ./libtool --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gcc=
 -DHAVE_CONFIG_H -I.  -DLT_CONFIG_H=3D'<config.h>' -DLTDL -I. -I. -Iliblt=
dl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT libltdl/lt__strl.lo -M=
D -MP -MF $depbase.Tpo -c -o libltdl/lt__strl.lo libltdl/lt__strl.c &&\
mv -f $depbase.Tpo $depbase.Plo
make[3]: Leaving directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4'
cd ./libltdl && \
sed -e 's,config/mdate-sh,,' -e 's,config/texinfo.tex,,' \
    -e 's,config/mkinstalldirs,,' \
    < Makefile.in > Makefile.inT && \
mv -f Makefile.inT Makefile.in
cd ./libltdl && /bin/bash /var/tmp/portage/sys-devel/libtool-2.4-r1/work/=
libtool-2.4/libltdl/config/missing --run autoheader
echo stamp > libltdl/stamp-mk
/bin/bash ./libtool  --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gc=
c -DHAVE_CONFIG_H -I.  -DLTDLOPEN=3Dlibltdl -DLT_CONFIG_H=3D'<config.h>' =
-DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT =
libltdl/loaders/libltdl_libltdl_la-preopen.lo -MD -MP -MF libltdl/loaders=
/.deps/libltdl_libltdl_la-preopen.Tpo -c -o libltdl/loaders/libltdl_liblt=
dl_la-preopen.lo `test -f 'libltdl/loaders/preopen.c' || echo './'`libltd=
l/loaders/preopen.c
/bin/bash ./libtool  --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gc=
c -DHAVE_CONFIG_H -I.  -DLTDLOPEN=3Dlibltdl -DLT_CONFIG_H=3D'<config.h>' =
-DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT =
libltdl/libltdl_libltdl_la-lt__alloc.lo -MD -MP -MF libltdl/.deps/libltdl=
_libltdl_la-lt__alloc.Tpo -c -o libltdl/libltdl_libltdl_la-lt__alloc.lo `=
test -f 'libltdl/lt__alloc.c' || echo './'`libltdl/lt__alloc.c
/bin/bash ./libtool  --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gc=
c -DHAVE_CONFIG_H -I.  -DLTDLOPEN=3Dlibltdl -DLT_CONFIG_H=3D'<config.h>' =
-DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT =
libltdl/libltdl_libltdl_la-lt_dlloader.lo -MD -MP -MF libltdl/.deps/liblt=
dl_libltdl_la-lt_dlloader.Tpo -c -o libltdl/libltdl_libltdl_la-lt_dlloade=
r.lo `test -f 'libltdl/lt_dlloader.c' || echo './'`libltdl/lt_dlloader.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. "-DLT_CONF=
IG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/liblt=
dl -O2 -pipe -MT libltdl/lt__strl.lo -MD -MP -MF libltdl/.deps/lt__strl.T=
po -c libltdl/lt__strl.c  -fPIC -DPIC -o libltdl/.libs/lt__strl.o
/bin/bash ./libtool  --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gc=
c -DHAVE_CONFIG_H -I.  -DLTDLOPEN=3Dlibltdl -DLT_CONFIG_H=3D'<config.h>' =
-DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT =
libltdl/libltdl_libltdl_la-lt_error.lo -MD -MP -MF libltdl/.deps/libltdl_=
libltdl_la-lt_error.Tpo -c -o libltdl/libltdl_libltdl_la-lt_error.lo `tes=
t -f 'libltdl/lt_error.c' || echo './'`libltdl/lt_error.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-lt__allo=
c.lo -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-lt__alloc.Tpo -c libltd=
l/lt__alloc.c  -fPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-lt__alloc.=
o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/loaders/libltdl_libltdl_la-=
preopen.lo -MD -MP -MF libltdl/loaders/.deps/libltdl_libltdl_la-preopen.T=
po -c libltdl/loaders/preopen.c  -fPIC -DPIC -o libltdl/loaders/.libs/lib=
ltdl_libltdl_la-preopen.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-lt_dlloa=
der.lo -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-lt_dlloader.Tpo -c li=
bltdl/lt_dlloader.c  -fPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-lt_d=
lloader.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-lt_error=
.lo -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-lt_error.Tpo -c libltdl/=
lt_error.c  -fPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-lt_error.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. "-DLT_CONF=
IG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/liblt=
dl -O2 -pipe -MT libltdl/lt__strl.lo -MD -MP -MF libltdl/.deps/lt__strl.T=
po -c libltdl/lt__strl.c -o libltdl/lt__strl.o >/dev/null 2>&1
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-lt__allo=
c.lo -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-lt__alloc.Tpo -c libltd=
l/lt__alloc.c -o libltdl/libltdl_libltdl_la-lt__alloc.o >/dev/null 2>&1
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-lt_dlloa=
der.lo -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-lt_dlloader.Tpo -c li=
bltdl/lt_dlloader.c -o libltdl/libltdl_libltdl_la-lt_dlloader.o >/dev/nul=
l 2>&1
/bin/bash ./libtool  --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gc=
c -DHAVE_CONFIG_H -I.  -DLTDLOPEN=3Dlibltdl -DLT_CONFIG_H=3D'<config.h>' =
-DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT =
libltdl/libltdl_libltdl_la-ltdl.lo -MD -MP -MF libltdl/.deps/libltdl_libl=
tdl_la-ltdl.Tpo -c -o libltdl/libltdl_libltdl_la-ltdl.lo `test -f 'libltd=
l/ltdl.c' || echo './'`libltdl/ltdl.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-lt_error=
.lo -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-lt_error.Tpo -c libltdl/=
lt_error.c -o libltdl/libltdl_libltdl_la-lt_error.o >/dev/null 2>&1
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/loaders/libltdl_libltdl_la-=
preopen.lo -MD -MP -MF libltdl/loaders/.deps/libltdl_libltdl_la-preopen.T=
po -c libltdl/loaders/preopen.c -o libltdl/loaders/libltdl_libltdl_la-pre=
open.o >/dev/null 2>&1
mv -f libltdl/.deps/libltdl_libltdl_la-lt__alloc.Tpo libltdl/.deps/libltd=
l_libltdl_la-lt__alloc.Plo
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-ltdl.lo =
-MD -MP -MF libltdl/.deps/libltdl_libltdl_la-ltdl.Tpo -c libltdl/ltdl.c  =
-fPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-ltdl.o
/bin/bash ./libtool  --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gc=
c -DHAVE_CONFIG_H -I.  -DLTDLOPEN=3Dlibltdl -DLT_CONFIG_H=3D'<config.h>' =
-DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT =
libltdl/libltdl_libltdl_la-slist.lo -MD -MP -MF libltdl/.deps/libltdl_lib=
ltdl_la-slist.Tpo -c -o libltdl/libltdl_libltdl_la-slist.lo `test -f 'lib=
ltdl/slist.c' || echo './'`libltdl/slist.c
mv -f libltdl/.deps/libltdl_libltdl_la-lt_dlloader.Tpo libltdl/.deps/libl=
tdl_libltdl_la-lt_dlloader.Plo
depbase=3D`echo libltdl/loaders/dlopen.lo | sed 's|[^/]*$|.deps/&|;s|\.lo=
$||'`;\
/bin/bash ./libtool --tag=3DCC   --mode=3Dcompile x86_64-pc-linux-gnu-gcc=
 -DHAVE_CONFIG_H -I.  -DLT_CONFIG_H=3D'<config.h>' -DLTDL -I. -I. -Iliblt=
dl -I./libltdl -I./libltdl/libltdl   -O2 -pipe -MT libltdl/loaders/dlopen=
.lo -MD -MP -MF $depbase.Tpo -c -o libltdl/loaders/dlopen.lo libltdl/load=
ers/dlopen.c &&\
mv -f $depbase.Tpo $depbase.Plo
mv -f libltdl/.deps/libltdl_libltdl_la-lt_error.Tpo libltdl/.deps/libltdl=
_libltdl_la-lt_error.Plo
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-slist.lo=
 -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-slist.Tpo -c libltdl/slist.=
c  -fPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-slist.o
mv -f libltdl/loaders/.deps/libltdl_libltdl_la-preopen.Tpo libltdl/loader=
s/.deps/libltdl_libltdl_la-preopen.Plo
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. "-DLT_CONF=
IG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/liblt=
dl -O2 -pipe -MT libltdl/loaders/dlopen.lo -MD -MP -MF libltdl/loaders/.d=
eps/dlopen.Tpo -c libltdl/loaders/dlopen.c  -fPIC -DPIC -o libltdl/loader=
s/.libs/dlopen.o
touch libltdl/config-h.in
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. "-DLT_CONF=
IG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/liblt=
dl -O2 -pipe -MT libltdl/loaders/dlopen.lo -MD -MP -MF libltdl/loaders/.d=
eps/dlopen.Tpo -c libltdl/loaders/dlopen.c -o libltdl/loaders/dlopen.o >/=
dev/null 2>&1
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-slist.lo=
 -MD -MP -MF libltdl/.deps/libltdl_libltdl_la-slist.Tpo -c libltdl/slist.=
c -o libltdl/libltdl_libltdl_la-slist.o >/dev/null 2>&1
/bin/bash ./libtool --tag=3DCC   --mode=3Dlink x86_64-pc-linux-gnu-gcc  -=
O2 -pipe -module -avoid-version -Wl,-O1 -Wl,--as-needed -o libltdl/dlopen=
.la  libltdl/loaders/dlopen.lo -ldl -ldl=20
mv -f libltdl/.deps/libltdl_libltdl_la-slist.Tpo libltdl/.deps/libltdl_li=
bltdl_la-slist.Plo
libtool: link: x86_64-pc-linux-gnu-ar cru libltdl/.libs/dlopen.a libltdl/=
loaders/.libs/dlopen.o=20
libtool: link: x86_64-pc-linux-gnu-ranlib libltdl/.libs/dlopen.a
libtool: link: ( cd "libltdl/.libs" && rm -f "dlopen.la" && ln -s "../dlo=
pen.la" "dlopen.la" )
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -DLTDLOPEN=
=3Dlibltdl "-DLT_CONFIG_H=3D<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libl=
tdl -I./libltdl/libltdl -O2 -pipe -MT libltdl/libltdl_libltdl_la-ltdl.lo =
-MD -MP -MF libltdl/.deps/libltdl_libltdl_la-ltdl.Tpo -c libltdl/ltdl.c -=
o libltdl/libltdl_libltdl_la-ltdl.o >/dev/null 2>&1
mv -f libltdl/.deps/libltdl_libltdl_la-ltdl.Tpo libltdl/.deps/libltdl_lib=
ltdl_la-ltdl.Plo
/bin/bash ./libtool --tag=3DCC   --mode=3Dlink x86_64-pc-linux-gnu-gcc  -=
O2 -pipe -no-undefined -version-info 10:0:3 -dlpreopen libltdl/dlopen.la =
 -Wl,-O1 -Wl,--as-needed -o libltdl/libltdl.la -rpath /usr/lib64 libltdl/=
loaders/libltdl_libltdl_la-preopen.lo libltdl/libltdl_libltdl_la-lt__allo=
c.lo libltdl/libltdl_libltdl_la-lt_dlloader.lo libltdl/libltdl_libltdl_la=
-lt_error.lo libltdl/libltdl_libltdl_la-ltdl.lo libltdl/libltdl_libltdl_l=
a-slist.lo libltdl/lt__strl.lo -ldl=20
libtool: link: rm -f libltdl/.libs/libltdl.nm libltdl/.libs/libltdl.nmS l=
ibltdl/.libs/libltdl.nmT
libtool: link: (cd libltdl/.libs && x86_64-pc-linux-gnu-gcc -O2 -pipe -c =
-fno-builtin  -fPIC -DPIC "libltdlS.c")
libtool: link: rm -f "libltdl/.libs/libltdlS.c" "libltdl/.libs/libltdl.nm=
" "libltdl/.libs/libltdl.nmS" "libltdl/.libs/libltdl.nmT"
libtool: link: (cd libltdl/.libs/libltdl.lax/dlopen.a && x86_64-pc-linux-=
gnu-ar x "/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/libl=
tdl/.libs/dlopen.a")
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  libltdl/load=
ers/.libs/libltdl_libltdl_la-preopen.o libltdl/.libs/libltdl_libltdl_la-l=
t__alloc.o libltdl/.libs/libltdl_libltdl_la-lt_dlloader.o libltdl/.libs/l=
ibltdl_libltdl_la-lt_error.o libltdl/.libs/libltdl_libltdl_la-ltdl.o libl=
tdl/.libs/libltdl_libltdl_la-slist.o libltdl/.libs/lt__strl.o libltdl/.li=
bs/libltdlS.o  libltdl/.libs/libltdl.lax/dlopen.a/dlopen.o   -ldl  -O2 -W=
l,-O1 -Wl,--as-needed   -Wl,-soname -Wl,libltdl.so.7 -o libltdl/.libs/lib=
ltdl.so.7.3.0
libtool: link: (cd "libltdl/.libs" && rm -f "libltdl.so.7" && ln -s "libl=
tdl.so.7.3.0" "libltdl.so.7")
libtool: link: (cd "libltdl/.libs" && rm -f "libltdl.so" && ln -s "libltd=
l.so.7.3.0" "libltdl.so")
libtool: link: (cd libltdl/.libs/libltdl.lax/lt1-dlopen.a && x86_64-pc-li=
nux-gnu-ar x "/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/=
libltdl/.libs/dlopen.a")
libtool: link: x86_64-pc-linux-gnu-ar cru libltdl/.libs/libltdl.a  libltd=
l/loaders/libltdl_libltdl_la-preopen.o libltdl/libltdl_libltdl_la-lt__all=
oc.o libltdl/libltdl_libltdl_la-lt_dlloader.o libltdl/libltdl_libltdl_la-=
lt_error.o libltdl/libltdl_libltdl_la-ltdl.o libltdl/libltdl_libltdl_la-s=
list.o libltdl/lt__strl.o libltdl/.libs/libltdlS.o  libltdl/.libs/libltdl=
.lax/lt1-dlopen.a/dlopen.o=20
libtool: link: x86_64-pc-linux-gnu-ranlib libltdl/.libs/libltdl.a
libtool: link: rm -fr libltdl/.libs/libltdl.lax libltdl/.libs/libltdl.lax
libtool: link: ( cd "libltdl/.libs" && rm -f "libltdl.la" && ln -s "../li=
bltdl.la" "libltdl.la" )
make[2]: Leaving directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4'
make[1]: Leaving directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4'
>>> Source compiled.
>>> Test phase [check]: sys-devel/libtool-2.4-r1
make  check-recursive
make[1]: Entering directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wo=
rk/libtool-2.4'
rm -f tests/defs.tmp tests/defs; \
sed -e 's,@EGREP\@,/bin/grep -E,g' -e 's,@FGREP\@,/bin/grep -F,g' -e 's,@=
GREP\@,/bin/grep,g' -e 's,@LN_S\@,ln -s,g' -e 's,@MACRO_VERSION\@,2.4,g' =
-e 's,@PACKAGE\@,libtool,g' -e 's,@PACKAGE_BUGREPORT\@,bug-libtool@HIDDEN=
g,g' -e 's,@PACKAGE_URL\@,http://www.gnu.org/software/libtool/,g' -e 's,@=
PACKAGE_NAME\@,GNU Libtool,g' -e 's,@PACKAGE_STRING\@,GNU Libtool 2.4,g' =
-e 's,@PACKAGE_TARNAME\@,libtool,g' -e 's,@PACKAGE_VERSION\@,2.4,g' -e 's=
,@SED\@,/bin/sed,g' -e 's,@VERSION\@,2.4,g' -e 's,@aclocaldir\@,/usr/shar=
e/aclocal,g' -e 's,@datadir\@,/usr/share,g' -e 's,@pkgdatadir\@,/usr/shar=
e/libtool,g' -e 's,@host_triplet\@,x86_64-pc-linux-gnu,g' -e 's,@prefix\@=
,/usr,g' ./tests/defs.in > tests/defs.tmp; \
mv -f tests/defs.tmp tests/defs
make[2]: Entering directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wo=
rk/libtool-2.4'
make  check-TESTS check-local
make[3]: Entering directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wo=
rk/libtool-2.4'
make[4]: Entering directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wo=
rk/libtool-2.4'
=1B[0;32mPASS=1B[m: tests/link.test
=1B[0;32mPASS=1B[m: tests/link-2.test
=1B[0;32mPASS=1B[m: tests/nomode.test
=1B[0;32mPASS=1B[m: tests/objectlist.test
=1B[0;32mPASS=1B[m: tests/quote.test
=1B[0;32mPASS=1B[m: tests/sh.test
=1B[0;32mPASS=1B[m: tests/suffix.test
=1B[0;32mPASS=1B[m: tests/tagtrace.test
=1B[0;32mPASS=1B[m: tests/cdemo-static.test
=1B[0;32mPASS=1B[m: tests/cdemo-static-make.test
=1B[0;32mPASS=1B[m: tests/cdemo-static-exec.test
=1B[0;32mPASS=1B[m: tests/demo-static.test
=1B[0;32mPASS=1B[m: tests/demo-static-make.test
=1B[0;32mPASS=1B[m: tests/demo-static-exec.test
=1B[0;32mPASS=1B[m: tests/demo-static-inst.test
=1B[0;32mPASS=1B[m: tests/demo-static-unst.test
=1B[0;32mPASS=1B[m: tests/depdemo-static.test
=1B[0;32mPASS=1B[m: tests/depdemo-static-make.test
=1B[0;32mPASS=1B[m: tests/depdemo-static-exec.test
=1B[0;32mPASS=1B[m: tests/depdemo-static-inst.test
=1B[0;32mPASS=1B[m: tests/depdemo-static-unst.test
=1B[0;32mPASS=1B[m: tests/mdemo-static.test
=1B[0;32mPASS=1B[m: tests/mdemo-static-make.test
=1B[0;32mPASS=1B[m: tests/mdemo-static-exec.test
=1B[0;32mPASS=1B[m: tests/mdemo-static-inst.test
=1B[0;32mPASS=1B[m: tests/mdemo-static-unst.test
=1B[0;32mPASS=1B[m: tests/cdemo-conf.test
=1B[0;32mPASS=1B[m: tests/cdemo-make.test
=1B[0;32mPASS=1B[m: tests/cdemo-exec.test
=1B[0;32mPASS=1B[m: tests/demo-conf.test
=1B[0;32mPASS=1B[m: tests/demo-make.test
=1B[0;32mPASS=1B[m: tests/demo-exec.test
=1B[0;32mPASS=1B[m: tests/demo-inst.test
=1B[0;32mPASS=1B[m: tests/demo-unst.test
=1B[0;32mPASS=1B[m: tests/demo-deplibs.test
=1B[0;32mPASS=1B[m: tests/depdemo-conf.test
=1B[0;32mPASS=1B[m: tests/depdemo-make.test
=1B[0;32mPASS=1B[m: tests/depdemo-exec.test
=1B[0;32mPASS=1B[m: tests/depdemo-inst.test
=1B[0;32mPASS=1B[m: tests/depdemo-unst.test
=1B[0;32mPASS=1B[m: tests/mdemo-conf.test
=1B[0;32mPASS=1B[m: tests/mdemo-make.test
=1B[0;32mPASS=1B[m: tests/mdemo-exec.test
=1B[0;32mPASS=1B[m: tests/mdemo-inst.test
=1B[0;32mPASS=1B[m: tests/mdemo-unst.test
=1B[0;32mPASS=1B[m: tests/mdemo-dryrun.test
=1B[0;32mPASS=1B[m: tests/mdemo2-conf.test
=1B[0;32mPASS=1B[m: tests/mdemo2-make.test
=1B[0;32mPASS=1B[m: tests/mdemo2-exec.test
=1B[0;32mPASS=1B[m: tests/pdemo-conf.test
=1B[0;32mPASS=1B[m: tests/pdemo-make.test
=1B[0;32mPASS=1B[m: tests/pdemo-exec.test
=1B[0;32mPASS=1B[m: tests/pdemo-inst.test
=1B[0;32mPASS=1B[m: tests/demo-nofast.test
=1B[0;32mPASS=1B[m: tests/demo-nofast-make.test
=1B[0;32mPASS=1B[m: tests/demo-nofast-exec.test
=1B[0;32mPASS=1B[m: tests/demo-nofast-inst.test
=1B[0;32mPASS=1B[m: tests/demo-nofast-unst.test
=1B[0;32mPASS=1B[m: tests/depdemo-nofast.test
=1B[0;32mPASS=1B[m: tests/depdemo-nofast-make.test
=1B[0;32mPASS=1B[m: tests/depdemo-nofast-exec.test
=1B[0;32mPASS=1B[m: tests/depdemo-nofast-inst.test
=1B[0;32mPASS=1B[m: tests/depdemo-nofast-unst.test
=1B[0;32mPASS=1B[m: tests/demo-pic.test
=1B[0;32mPASS=1B[m: tests/demo-pic-make.test
=1B[0;32mPASS=1B[m: tests/demo-pic-exec.test
=1B[1;34mSKIP=1B[m: tests/demo-nopic.test
=1B[0;32mPASS=1B[m: tests/demo-nopic-make.test
=1B[0;32mPASS=1B[m: tests/demo-nopic-exec.test
=1B[0;32mPASS=1B[m: tests/cdemo-shared.test
=1B[0;32mPASS=1B[m: tests/cdemo-shared-make.test
=1B[0;32mPASS=1B[m: tests/cdemo-shared-exec.test
=1B[0;32mPASS=1B[m: tests/mdemo-shared.test
=1B[0;32mPASS=1B[m: tests/mdemo-shared-make.test
=1B[0;32mPASS=1B[m: tests/mdemo-shared-exec.test
=1B[0;32mPASS=1B[m: tests/mdemo-shared-inst.test
=1B[0;32mPASS=1B[m: tests/mdemo-shared-unst.test
=1B[0;32mPASS=1B[m: tests/cdemo-undef.test
=1B[0;32mPASS=1B[m: tests/cdemo-undef-make.test
=1B[0;32mPASS=1B[m: tests/cdemo-undef-exec.test
=1B[0;32mPASS=1B[m: tests/tagdemo-static.test
=1B[0;32mPASS=1B[m: tests/tagdemo-static-make.test
=1B[0;32mPASS=1B[m: tests/tagdemo-static-exec.test
=1B[0;32mPASS=1B[m: tests/tagdemo-conf.test
=1B[0;32mPASS=1B[m: tests/tagdemo-make.test
=1B[0;32mPASS=1B[m: tests/tagdemo-exec.test
=1B[0;32mPASS=1B[m: tests/tagdemo-shared.test
=1B[0;32mPASS=1B[m: tests/tagdemo-shared-make.test
=1B[0;32mPASS=1B[m: tests/tagdemo-shared-exec.test
=1B[0;32mPASS=1B[m: tests/tagdemo-undef.test
=1B[0;32mPASS=1B[m: tests/tagdemo-undef-make.test
=1B[0;32mPASS=1B[m: tests/tagdemo-undef-exec.test
=1B[0;32mPASS=1B[m: tests/fcdemo-static.test
=1B[0;32mPASS=1B[m: tests/fcdemo-static-make.test
=1B[0;32mPASS=1B[m: tests/fcdemo-static-exec.test
=1B[0;32mPASS=1B[m: tests/fcdemo-conf.test
=1B[0;32mPASS=1B[m: tests/fcdemo-make.test
=1B[0;32mPASS=1B[m: tests/fcdemo-exec.test
=1B[0;32mPASS=1B[m: tests/fcdemo-shared.test
=1B[0;32mPASS=1B[m: tests/fcdemo-shared-make.test
=1B[0;32mPASS=1B[m: tests/fcdemo-shared-exec.test
=1B[0;32mPASS=1B[m: tests/demo-shared.test
=1B[0;32mPASS=1B[m: tests/demo-shared-make.test
=1B[0;32mPASS=1B[m: tests/demo-shared-exec.test
=1B[0;32mPASS=1B[m: tests/demo-shared-inst.test
=1B[0;32mPASS=1B[m: tests/demo-hardcode.test
=1B[0;32mPASS=1B[m: tests/demo-relink.test
=1B[0;32mPASS=1B[m: tests/demo-noinst-link.test
=1B[0;32mPASS=1B[m: tests/demo-shared-unst.test
=1B[0;32mPASS=1B[m: tests/depdemo-shared.test
=1B[0;32mPASS=1B[m: tests/depdemo-shared-make.test
=1B[0;32mPASS=1B[m: tests/depdemo-shared-exec.test
=1B[0;32mPASS=1B[m: tests/depdemo-shared-inst.test
=1B[0;32mPASS=1B[m: tests/depdemo-relink.test
=1B[0;32mPASS=1B[m: tests/depdemo-shared-unst.test
=1B[0;32mPASS=1B[m: tests/f77demo-static.test
=1B[0;32mPASS=1B[m: tests/f77demo-static-make.test
=1B[0;32mPASS=1B[m: tests/f77demo-static-exec.test
=1B[0;32mPASS=1B[m: tests/f77demo-conf.test
=1B[0;32mPASS=1B[m: tests/f77demo-make.test
=1B[0;32mPASS=1B[m: tests/f77demo-exec.test
=1B[0;32mPASS=1B[m: tests/f77demo-shared.test
=1B[0;32mPASS=1B[m: tests/f77demo-shared-make.test
=1B[0;32mPASS=1B[m: tests/f77demo-shared-exec.test
=1B[0;32m=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=1B[=
m
=1B[0;32mAll 123 tests passed=1B[m
=1B[0;32m(1 test was not run)=1B[m
=1B[0;32m=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=1B[=
m
make[4]: Leaving directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4'
abs_srcdir=3D`CDPATH=3D"${ZSH_VERSION+.}:" && cd . && pwd`; cd tests; \
CONFIG_SHELL=3D"/bin/bash" /bin/bash $abs_srcdir/tests/testsuite \
  MAKE=3D"make" CC=3D"x86_64-pc-linux-gnu-gcc" CFLAGS=3D"-O2 -pipe" CPP=3D=
"x86_64-pc-linux-gnu-gcc -E" CPPFLAGS=3D"" LD=3D"/usr/x86_64-pc-linux-gnu=
/bin/ld -m elf_x86_64" LDFLAGS=3D"-Wl,-O1 -Wl,--as-needed" LIBS=3D"-ldl "=
 LN_S=3D"ln -s" NM=3D"/usr/bin/nm -B" RANLIB=3D"x86_64-pc-linux-gnu-ranli=
b" AR=3D"x86_64-pc-linux-gnu-ar" M4SH=3D"autom4te --language=3Dm4sh" SED=3D=
"/bin/sed" STRIP=3D"x86_64-pc-linux-gnu-strip" lt_INSTALL=3D"/usr/bin/ins=
tall -c" MANIFEST_TOOL=3D":" OBJEXT=3D"o" EXEEXT=3D"" SHELL=3D"/bin/bash"=
 CONFIG_SHELL=3D"/bin/bash" CXX=3D"x86_64-pc-linux-gnu-g++" CXXFLAGS=3D"-=
O2 -pipe" CXXCPP=3D"x86_64-pc-linux-gnu-g++ -E" F77=3D"x86_64-pc-linux-gn=
u-gfortran" FFLAGS=3D"-O2 -pipe" FC=3D"x86_64-pc-linux-gnu-gfortran" FCFL=
AGS=3D"-O2 -pipe" GCJ=3D"x86_64-pc-linux-gnu-gcj" GCJFLAGS=3D"-g -O2" lt_=
cv_to_host_file_cmd=3D"func_convert_file_noop" lt_cv_to_tool_file_cmd=3D"=
func_convert_file_noop" _lt_pkgdatadir=3D"/var/tmp/portage/sys-devel/libt=
ool-2.4-r1/work/libtool-2.4" LIBTOOLIZE=3D"/var/tmp/portage/sys-devel/lib=
tool-2.4-r1/work/libtool-2.4/libtoolize" LI
BTOOL=3D"/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4/libto=
ol" tst_aclocaldir=3D"/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libt=
ool-2.4/libltdl/m4"=20
## --------------------------- ##
## GNU Libtool 2.4 test suite. ##
## --------------------------- ##

Shell option parser generator.

  1: short option splitting                          =1B[0;32mok=1B[m
  2: enhanced shell short option splitting           =1B[0;32mok=1B[m
  3: long option splitting                           =1B[0;32mok=1B[m
  4: XSI long option splitting                       =1B[0;32mok=1B[m
  5: option appending                                =1B[0;32mok=1B[m
  6: enhanced shell option appending                 =1B[0;32mok=1B[m

Libtoolize operation.

  7: libtoolize macro installation                   =1B[0;32mok=1B[m
  8: libtoolize macro directory mismatch error       =1B[0;32mok=1B[m
  9: libtoolize macro serial update                  =1B[0;32mok=1B[m
 10: libtoolize config files serial update           =1B[0;32mok=1B[m
 11: diagnose missing LT_CONFIG_LTDL_DIR             =1B[0;32mok=1B[m
 12: copy ltdl.m4 with shared macro directory        =1B[0;32mok=1B[m
 13: correctly parse LTDL_INIT from configure.ac     =1B[0;32mok=1B[m
 14: diagnose missing LTDL_INIT invocation           =1B[0;32mok=1B[m
 15: upgrading verbatim style aclocal.m4             =1B[0;32mok=1B[m
 16: verbatim aclocal.m4 w/o AC_CONFIG_MACRO_DIR     =1B[0;32mok=1B[m
 17: nonrecursive ltdl with AC_CONFIG_MACRO_DIR      =1B[0;32mok=1B[m
 18: subproject ltdl with non-shared directories     =1B[0;32mok=1B[m
 19: LIBTOOLIZE_OPTIONS                              =1B[0;32mok=1B[m
 20: cleanup old installation                        =1B[0;32mok=1B[m

Testing libtool functions.

 21: standard command line options                   =1B[0;32mok=1B[m
 22: mode short-hands                                =1B[0;32mok=1B[m
 23: debug tracing                                   =1B[0;32mok=1B[m
 24: duplicate members in archive tests              =1B[0;32mok=1B[m
 25: duplicate convenience archive names             =1B[0;32mok=1B[m
 26: preserve duplicate convenience deps             =1B[1;32mexpected fa=
ilure (duplicate_deps.at:72)=1B[m
 27: passing CC flags through libtool                =1B[0;32mok=1B[m
 28: passing CXX flags through libtool               =1B[0;32mok=1B[m
 29: passing F77 flags through libtool               =1B[0;32mok=1B[m
 30: passing FC flags through libtool                =1B[0;32mok=1B[m
 31: passing GCJ flags through libtool               =1B[0;32mok=1B[m
 32: inherited_linker_flags                          =1B[0;32mok=1B[m
 33: C convenience archives                          =1B[0;32mok=1B[m
 34: C++ convenience archives                        =1B[0;32mok=1B[m
 35: F77 convenience archives                        =1B[0;32mok=1B[m
 36: FC convenience archives                         =1B[0;32mok=1B[m
 37: Java convenience archives                       =1B[0;31mFAILED (con=
venience.at:267)=1B[m
 38: Link order test                                 =1B[0;32mok=1B[m
 39: Link order of deplibs                           =1B[0;32mok=1B[m
 40: Failure tests                                   =1B[0;32mok=1B[m
 41: shlibpath_overrides_runpath                     =1B[0;32mok=1B[m
 42: Runpath in libtool library files                =1B[0;32mok=1B[m
 43: static linking flags for programs               =1B[0;32mok=1B[m
 44: ccache -all-static                              =1B[0;32mok=1B[m
 45: Export test                                     =1B[0;32mok=1B[m
 46: sys_lib_search_path                             =1B[0;32mok=1B[m
 47: indirect convenience                            =1B[0;32mok=1B[m
 48: indirect uninstalled                            =1B[0;32mok=1B[m
 49: static library contains static library          =1B[1;32mexpected fa=
ilure (archive-in-archive.at:56)=1B[m
 50: both of -o prog and -o prog$EXEEXT work         =1B[1;34mskipped (ex=
eext.at:29)=1B[m
 51: execute mode                                    =1B[0;32mok=1B[m
 52: bindir compile check                            =1B[0;32mok=1B[m
 53: bindir basic lib test                           =1B[0;32mok=1B[m
 54: bindir install tests                            =1B[0;32mok=1B[m
 55: cwrapper for uninstalled executables            =1B[0;32mok=1B[m
 56: deplib in subdir                                =1B[0;32mok=1B[m
 57: inferred tag                                    =1B[0;32mok=1B[m
 58: CXX inferred tag                                =1B[0;32mok=1B[m
 59: F77 inferred tag                                =1B[0;32mok=1B[m
 60: FC inferred tag                                 =1B[0;32mok=1B[m
 61: GCJ inferred tag                                =1B[0;32mok=1B[m
 62: localized compiler messages                     =1B[0;32mok=1B[m
 63: nocase library search                           =1B[1;34mskipped (no=
case.at:31)=1B[m
 64: Install tests                                   =1B[0;32mok=1B[m
 65: versioning                                      =1B[0;32mok=1B[m

DESTDIR tests

 66: Simple DESTDIR install                          =1B[0;32mok=1B[m
 67: DESTDIR with in-package deplibs                 =1B[0;32mok=1B[m

Support for older m4 interface.

 68: AM_PROG_LIBTOOL                                 =1B[0;32mok=1B[m
 69: AC_WITH_LTDL                                    =1B[0;32mok=1B[m

Libtool subdir-objects support.

 70: C subdir-objects                                =1B[0;32mok=1B[m
 71: C++ subdir-objects                              =1B[0;32mok=1B[m

Libltdl functionality.

 72: lt_dlexit unloading libs                        =1B[0;32mok=1B[m
 73: lt_dlopenadvise library loading                 =1B[0;32mok=1B[m
 74: lt_dlopen error messages                        =1B[1;32mexpected fa=
ilure (lt_dlopen.at:101)=1B[m
 75: lt_dlopen archive                               =1B[0;32mok=1B[m
 76: lt_dlopenext error messages                     =1B[0;32mok=1B[m
 77: libdir of installed modules                     =1B[0;32mok=1B[m
 78: ltdl API                                        =1B[1;34mskipped (lt=
dl-api.at:31)=1B[m
 79: dlloader API                                    =1B[0;32mok=1B[m
 80: loadlibrary error messages                      =1B[1;34mskipped (lo=
adlibrary.at:250)=1B[m
 81: syntax of .la files                             =1B[1;32mexpected fa=
ilure (lalib-syntax.at:133)=1B[m
 82: resident modules                                =1B[0;32mok=1B[m
 83: SList functionality                             =1B[0;32mok=1B[m
 84: enforced lib prefix                             =1B[0;32mok=1B[m

Standalone Libltdl.

 85: compiling softlinked libltdl                    =1B[0;32mok=1B[m
 86: compiling copied libltdl                        =1B[0;32mok=1B[m
 87: installable libltdl                             =1B[0;32mok=1B[m
 88: linking libltdl without autotools               =1B[0;32mok=1B[m

Subproject Libltdl.

 89: compiling softlinked libltdl                    =1B[0;32mok=1B[m
 90: compiling copied libltdl                        =1B[0;32mok=1B[m
 91: installable libltdl                             =1B[0;32mok=1B[m
 92: linking libltdl without autotools               =1B[0;32mok=1B[m

Nonrecursive Automake Libltdl.

 93: compiling softlinked libltdl                    =1B[0;32mok=1B[m
 94: compiling copied libltdl                        =1B[0;32mok=1B[m
 95: installable libltdl                             =1B[0;32mok=1B[m

Recursive Automake Libltdl.

 96: compiling softlinked libltdl                    =1B[0;32mok=1B[m
 97: compiling copied libltdl                        =1B[0;32mok=1B[m
 98: installable libltdl                             =1B[0;32mok=1B[m

C++ template tests.

 99: simple template test                            =1B[0;32mok=1B[m
100: template test with subdirs                      =1B[0;32mok=1B[m

Constructors.

101: C++ static constructors                         =1B[0;32mok=1B[m
102: C++ exception handling                          =1B[0;32mok=1B[m

libtool script generation.

103: config.status                                   =1B[0;32mok=1B[m
104: config.lt                                       =1B[0;32mok=1B[m

Libtool usage in GCC

105: AC_NO_EXECUTABLES                               =1B[0;32mok=1B[m

Detecting identical deplibs.

106: build tree relpaths                             =1B[1;32mexpected fa=
ilure (deplibs-ident.at:68)=1B[m

configure interface to libltdl.

107: installable libltdl                             =1B[0;32mok=1B[m
108: --with-ltdl-include/lib                         =1B[0;32mok=1B[m
109: --with-included-ltdl                            =1B[0;32mok=1B[m
110: convenience libltdl                             =1B[0;32mok=1B[m

Libtool stress test.

111: Link option thorough search test                =1B[0;32mok=1B[m
112: Run tests with low max_cmd_len                  =1B[0;31mFAILED (cmd=
line_wrap.at:43)=1B[m
113: override pic_flag at configure time             =1B[1;34mskipped (pi=
c_flag.at:47)=1B[m

Mac OS X tests

114: darwin fat compile                              =1B[1;34mskipped (da=
rwin.at:42)=1B[m
115: darwin concurrent library extraction            =1B[0;32mok=1B[m
116: darwin gdb debug information                    =1B[1;34mskipped (da=
rwin.at:154)=1B[m
117: deplibs without file command                    =1B[0;32mok=1B[m

sysroot tests

118: -L=3D.../lib -l                                   =1B[1;34mskipped (=
sysroot.at:203)=1B[m
119: -L SYSROOT/.../lib -l                           =1B[1;34mskipped (sy=
sroot.at:204)=1B[m
120: SYSROOT/.../*.la                                =1B[1;34mskipped (sy=
sroot.at:205)=1B[m

## ------------- ##
## Test results. ##
## ------------- ##

=1B[0;31mERROR: 110 tests were run,
7 failed (5 expected failures).
10 tests were skipped.=1B[m
## -------------------------- ##
## testsuite.log was created. ##
## -------------------------- ##

Please send `tests/testsuite.log' and all information you think might hel=
p:

   To: <bug-libtool@HIDDEN>
   Subject: [GNU Libtool 2.4] testsuite: 37 112 failed

You may investigate any problem if you feel able to do so, in which
case the test suite provides a good starting point.  Its output may
be found below `tests/testsuite.dir'.

make[3]: *** [check-local] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4'
make[2]: *** [check-am] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4'
make[1]: *** [check-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/sys-devel/libtool-2.4-r1/wor=
k/libtool-2.4'
make: *** [check] Fehler 2
 * ERROR: sys-devel/libtool-2.4-r1 failed (test phase):
 *   Make check failed. See above for details.
 *=20
 * Call stack:
 *          ebuild.sh, line   85:  Called src_test
 *        environment, line 2843:  Called _eapi0_src_test
 *   phase-helpers.sh, line  550:  Called die
 * The specific snippet of code:
 *   		$emake_cmd -j1 check || \
 *   			die "Make check failed. See above for details."
 *=20
 * If you need support, post the output of `emerge --info '=3Dsys-devel/l=
ibtool-2.4-r1'`,
 * the complete build log and the output of `emerge -pqv '=3Dsys-devel/li=
btool-2.4-r1'`.
 * The complete build log is located at '/var/tmp/portage/sys-devel/libto=
ol-2.4-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/=
libtool-2.4-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/libtool-2.4-r1/work/lib=
tool-2.4'
 * S: '/var/tmp/portage/sys-devel/libtool-2.4-r1/work/libtool-2.4'
------=_20120818105608_78398--







Acknowledgement sent to ziebell_marco@HIDDEN:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#12229; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.